#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe40cfbbf, "devm_iio_device_alloc" },
	{ 0x703731b8, "devm_regulator_bulk_get_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd4a89653, "__dynamic_dev_dbg" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x6a52e826, "devm_request_threaded_irq" },
	{ 0x3a723903, "iio_device_id" },
	{ 0x64e0b6ef, "__devm_iio_trigger_alloc" },
	{ 0x8ffde384, "iio_trigger_register" },
	{ 0xa452d354, "get_device" },
	{ 0x8e022971, "__module_get" },
	{ 0xdd508d25, "dev_err_probe" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0xe06dff4d, "iio_triggered_buffer_setup_ext" },
	{ 0x69ba78f9, "pm_runtime_enable" },
	{ 0xc93802c1, "pm_runtime_set_autosuspend_delay" },
	{ 0x78544e3a, "__pm_runtime_use_autosuspend" },
	{ 0xb1e52145, "__iio_device_register" },
	{ 0x4c990e4c, "iio_read_acpi_mount_matrix" },
	{ 0x3fd349a0, "iio_read_mount_matrix" },
	{ 0xa8c9be24, "is_acpi_device_node" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x37a0cba, "kfree" },
	{ 0xeea4101e, "iio_get_acpi_device_name_and_data" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5803e861, "iio_buffer_enabled" },
	{ 0x3b01e8ea, "i2c_smbus_read_word_data" },
	{ 0xdb7dcfab, "i2c_smbus_read_i2c_block_data_or_emulated" },
	{ 0xe5a4d67f, "iio_push_to_buffers" },
	{ 0x898aa5e0, "iio_trigger_notify_done" },
	{ 0x4031fd7b, "iio_show_mount_matrix" },
	{ 0x3a8c2037, "iio_read_const_attr" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x38e5128, "i2c_register_driver" },
	{ 0xc1a03879, "i2c_smbus_read_byte_data" },
	{ 0xa426381e, "_dev_err" },
	{ 0x374e8098, "i2c_smbus_write_byte_data" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x72b5ebd7, "iio_device_unregister" },
	{ 0x68b7b9b6, "__pm_runtime_disable" },
	{ 0x7404d7af, "__pm_runtime_set_status" },
	{ 0x4b40bcec, "iio_triggered_buffer_cleanup" },
	{ 0x9f9a0a3a, "iio_trigger_unregister" },
	{ 0xb1c1ea19, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x2b936c1d, "__pm_runtime_suspend" },
	{ 0xae49ec5f, "iio_push_event" },
	{ 0x77db8fdb, "iio_get_time_ns" },
	{ 0xc643bff5, "iio_trigger_poll" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb163f33c, "i2c_del_driver" },
	{ 0xe4ed2572, "i2c_client_get_device_id" },
	{ 0x2d47464, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer");

MODULE_ALIAS("acpi*:KIOX0008:*");
MODULE_ALIAS("acpi*:KIOX0009:*");
MODULE_ALIAS("acpi*:KIOX000A:*");
MODULE_ALIAS("acpi*:KIOX010A:*");
MODULE_ALIAS("acpi*:KIOX020A:*");
MODULE_ALIAS("acpi*:KXCJ1008:*");
MODULE_ALIAS("acpi*:KXCJ1013:*");
MODULE_ALIAS("acpi*:KXCJ9000:*");
MODULE_ALIAS("acpi*:KXJ2109:*");
MODULE_ALIAS("acpi*:KXTJ1009:*");
MODULE_ALIAS("acpi*:SMO8500:*");
MODULE_ALIAS("of:N*T*Ckionix,kxcjk1013");
MODULE_ALIAS("of:N*T*Ckionix,kxcjk1013C*");
MODULE_ALIAS("of:N*T*Ckionix,kxcj91008");
MODULE_ALIAS("of:N*T*Ckionix,kxcj91008C*");
MODULE_ALIAS("of:N*T*Ckionix,kxtj21009");
MODULE_ALIAS("of:N*T*Ckionix,kxtj21009C*");
MODULE_ALIAS("of:N*T*Ckionix,kxtf9");
MODULE_ALIAS("of:N*T*Ckionix,kxtf9C*");
MODULE_ALIAS("of:N*T*Ckionix,kx023-1025");
MODULE_ALIAS("of:N*T*Ckionix,kx023-1025C*");
MODULE_ALIAS("i2c:kxcjk1013");
MODULE_ALIAS("i2c:kxcj91008");
MODULE_ALIAS("i2c:kxtj21009");
MODULE_ALIAS("i2c:kxtf9");
MODULE_ALIAS("i2c:kx023-1025");

MODULE_INFO(srcversion, "85D679FB78B6C8111046BDE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
