#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(gspca_debug, "", "");
KSYMTAB_FUNC(gspca_frame_add, "", "");
KSYMTAB_FUNC(gspca_dev_probe2, "", "");
KSYMTAB_FUNC(gspca_dev_probe, "", "");
KSYMTAB_FUNC(gspca_disconnect, "", "");
KSYMTAB_FUNC(gspca_suspend, "", "");
KSYMTAB_FUNC(gspca_resume, "", "");
KSYMTAB_FUNC(gspca_expo_autogain, "", "");
KSYMTAB_FUNC(gspca_coarse_grained_expo_autogain, "", "");

SYMBOL_CRC(gspca_debug, 0x9670af2c, "");
SYMBOL_CRC(gspca_frame_add, 0x3a94587e, "");
SYMBOL_CRC(gspca_dev_probe2, 0x853253e5, "");
SYMBOL_CRC(gspca_dev_probe, 0x9513a777, "");
SYMBOL_CRC(gspca_disconnect, 0xf263d904, "");
SYMBOL_CRC(gspca_suspend, 0x67bab8ff, "");
SYMBOL_CRC(gspca_resume, 0x43f42d76, "");
SYMBOL_CRC(gspca_expo_autogain, 0x8ea7e77c, "");
SYMBOL_CRC(gspca_coarse_grained_expo_autogain, 0x1a777985, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8ad63587, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x71e68ba9, "usb_submit_urb" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x61f61d25, "__v4l2_ctrl_s_ctrl" },
	{ 0x15c05ff6, "vb2_ioctl_dqbuf" },
	{ 0x3ba74136, "usb_free_coherent" },
	{ 0x39261fb9, "vb2_ioctl_create_bufs" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xefac79e8, "vb2_buffer_done" },
	{ 0xb2e206d, "vb2_plane_vaddr" },
	{ 0x16cead5b, "v4l2_ctrl_subscribe_event" },
	{ 0x391d70c6, "usb_set_interface" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x64334aba, "video_unregister_device" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xa5dc3f22, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x81e68027, "vb2_fop_mmap" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x4896494, "vb2_vmalloc_memops" },
	{ 0xe16afff2, "v4l2_device_disconnect" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x3612e96a, "vb2_fop_read" },
	{ 0x4d79bc6a, "v4l2_device_register" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xd7fe6720, "__video_register_device" },
	{ 0xa82fff43, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4611ace, "vb2_ioctl_streamon" },
	{ 0xd312a66f, "vb2_fop_poll" },
	{ 0x93a036a2, "v4l2_ctrl_g_ctrl" },
	{ 0x23940b72, "v4l2_ctrl_handler_free" },
	{ 0x46210132, "v4l2_device_unregister" },
	{ 0xeaa66c0f, "param_ops_int" },
	{ 0x9b3d6f3e, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0x540aaedf, "v4l2_event_unsubscribe" },
	{ 0x4f2f1624, "vb2_ioctl_reqbufs" },
	{ 0xc95de015, "vb2_queue_init" },
	{ 0x1a6b8731, "input_allocate_device" },
	{ 0x2cfbe9e1, "usb_alloc_urb" },
	{ 0xf49a82a3, "video_ioctl2" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xa5dbbaad, "usb_free_urb" },
	{ 0xeb49e50f, "v4l2_device_put" },
	{ 0x4044cb56, "vb2_ioctl_streamoff" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa39df70, "usb_alloc_coherent" },
	{ 0x2090ebdb, "vb2_ioctl_expbuf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x594dbd6c, "usb_ifnum_to_if" },
	{ 0x45a797f7, "input_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe11a7f75, "vb2_ioctl_querybuf" },
	{ 0x21abaa60, "v4l2_fh_open" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x97cb428e, "input_free_device" },
	{ 0x92997ed8, "_printk" },
	{ 0x98326314, "usb_clear_halt" },
	{ 0xb02f4ac0, "v4l2_ctrl_handler_setup" },
	{ 0x54544ea4, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb9400da9, "video_devdata" },
	{ 0x5c945a13, "vb2_queue_error" },
	{ 0x2d47464, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,usbcore,videodev,videobuf2-common,videobuf2-vmalloc");


MODULE_INFO(srcversion, "DEE20B11ED5723876F1CB2B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
