#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(i40e_client_device_register, "_gpl", "");
KSYMTAB_FUNC(i40e_client_device_unregister, "_gpl", "");

SYMBOL_CRC(i40e_client_device_register, 0x3622a638, "_gpl");
SYMBOL_CRC(i40e_client_device_unregister, 0x2a105c53, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7e966db1, "netif_set_real_num_tx_queues" },
	{ 0x88f6dcf, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x83ac567e, "netif_set_real_num_rx_queues" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xe8672e1e, "dma_alloc_attrs" },
	{ 0x1b6b6da8, "debugfs_remove" },
	{ 0xebca925e, "pci_read_config_word" },
	{ 0x3373aa86, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x13fb2fae, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0xeb9d4fb4, "dcbnl_ieee_notify" },
	{ 0xf1883797, "xsk_uses_need_wakeup" },
	{ 0xfaa6ac43, "register_netdev" },
	{ 0x3b39c4bf, "trace_event_reg" },
	{ 0x6573f300, "ida_free" },
	{ 0x1741843a, "free_netdev" },
	{ 0x633ddd88, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0xde80cd09, "ioremap" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcfd1e7df, "ethtool_op_get_link" },
	{ 0x325c7d13, "eth_platform_get_mac_address" },
	{ 0x28337e3f, "netif_set_xps_queue" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x402811e6, "__SCK__tp_func_xdp_exception" },
	{ 0x648ff8ff, "netif_tx_stop_all_queues" },
	{ 0xc652d427, "pci_restore_state" },
	{ 0x5146117a, "netif_tx_wake_queue" },
	{ 0x13fe227f, "device_del" },
	{ 0x9e8a69c2, "netdev_set_sb_channel" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x8229edd3, "dcb_getapp" },
	{ 0xfb578fc5, "memset" },
	{ 0xab5bbc4a, "_dev_warn" },
	{ 0xc2c06219, "flow_rule_match_ports" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x8bf7f45c, "ptp_clock_event" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0x63dc18d2, "netif_schedule_queue" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xe0a35e90, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x60a2a10a, "flow_rule_match_ipv6_addrs" },
	{ 0x2720534d, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x28f25a82, "ptp_clock_unregister" },
	{ 0xc937ebc3, "__pskb_pull_tail" },
	{ 0xc9177b0d, "xp_dma_unmap" },
	{ 0xd376138a, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2c9f4cc2, "netdev_unbind_sb_channel" },
	{ 0x7a1600db, "dma_set_coherent_mask" },
	{ 0x474f97be, "bpf_trace_run3" },
	{ 0x694076e1, "__page_frag_cache_drain" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xaba3f8a2, "ipv6_find_hdr" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdb176ae3, "netdev_bind_sb_channel_queue" },
	{ 0xd744e7d6, "xsk_set_tx_need_wakeup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xfc4c780f, "netdev_reset_tc" },
	{ 0xf4b5539b, "dma_free_attrs" },
	{ 0x9dd9e320, "trace_event_buffer_reserve" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8ddcda13, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc2d09ebc, "call_netdevice_notifiers" },
	{ 0x12169a7e, "xp_set_rxq_info" },
	{ 0x4f641afe, "flow_rule_match_vlan" },
	{ 0x234a125e, "xdp_rxq_info_unreg" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x353b357b, "napi_build_skb" },
	{ 0x4ab4c448, "__xdp_rxq_info_reg" },
	{ 0xdee8588d, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd3117ac5, "netif_carrier_off" },
	{ 0x87a2e613, "devlink_priv" },
	{ 0x3d5c6bc5, "__hw_addr_sync_dev" },
	{ 0xcadb0347, "devlink_port_register_with_ops" },
	{ 0x8c79622d, "pci_disable_sriov" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x460aa39e, "netif_carrier_on" },
	{ 0xd1f183dc, "netdev_set_num_tc" },
	{ 0x373b0d5, "dql_reset" },
	{ 0x13ce80ae, "debugfs_create_file_full" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xdbfb683f, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xad1dffea, "dev_uc_add_excl" },
	{ 0x6fc538b, "pci_disable_device" },
	{ 0x6abed0b, "xp_free" },
	{ 0xf245bc0e, "dev_mc_add_excl" },
	{ 0xfa1f8935, "dev_uc_add" },
	{ 0xc458ba27, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1b315c82, "_dev_crit" },
	{ 0x1ee00c75, "libie_rx_pt_lut" },
	{ 0x2248f7f4, "skb_add_rx_frag_netmem" },
	{ 0xbc3348c2, "xdp_master_redirect" },
	{ 0x65fc02df, "__napi_schedule_irqoff" },
	{ 0x4275a9be, "napi_schedule_prep" },
	{ 0x5509d0f3, "napi_consume_skb" },
	{ 0xe0c20732, "pci_read_config_byte" },
	{ 0x6a540202, "xp_alloc_batch" },
	{ 0x754d539c, "strlen" },
	{ 0x2f94ecd, "napi_disable" },
	{ 0xa43128f, "dev_kfree_skb_any_reason" },
	{ 0xd7e1b959, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x349cba85, "strchr" },
	{ 0xf57f48b, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x563e9564, "flow_rule_match_control" },
	{ 0xbb927be1, "pci_enable_sriov" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x1b4630e5, "dcb_ieee_setapp" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd37dac5c, "ethtool_op_get_ts_info" },
	{ 0xa3a31fe5, "kmalloc_caches" },
	{ 0xf3c37c9d, "netdev_info" },
	{ 0xec098d73, "skb_dump" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xeaaa851b, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x56d67cf, "__tracepoint_xdp_exception" },
	{ 0x50db53, "xsk_tx_completed" },
	{ 0xfdad2ba6, "napi_alloc_skb" },
	{ 0x35bd28c8, "alloc_etherdev_mqs" },
	{ 0xd8acbfca, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0xbd3ba67f, "pcie_capability_read_word" },
	{ 0xa24571f8, "device_set_wakeup_enable" },
	{ 0x96cded74, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x4e3bc9e, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x63735cb8, "pci_find_ext_capability" },
	{ 0x876a3c98, "bpf_prog_put" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6203bb53, "xp_dma_map" },
	{ 0xe4352d32, "devlink_unregister" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0x8833de9a, "skb_copy_bits" },
	{ 0x8e988874, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc49fa942, "pci_request_selected_regions" },
	{ 0x3bb9a99, "pci_release_selected_regions" },
	{ 0xc47cdb27, "devm_kmalloc" },
	{ 0x63e3e306, "pci_wake_from_d3" },
	{ 0xe0c7e618, "pci_enable_device" },
	{ 0xa1135f4c, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xa31ebdc2, "auxiliary_device_init" },
	{ 0xa8f186e0, "pci_enable_device_mem" },
	{ 0xc686b469, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xc3e7a5a8, "netif_napi_add_weight" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x13ffbe5a, "xsk_tx_peek_release_desc_batch" },
	{ 0x931b89f4, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3f129fb, "trace_raw_output_prep" },
	{ 0xb5bc009f, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x6ecda98, "ndo_dflt_bridge_getlink" },
	{ 0xc7910143, "unregister_netdev" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x9d2fc3d3, "xdp_convert_zc_to_xdp_frame" },
	{ 0x1e05508b, "xdp_features_set_redirect_target" },
	{ 0xcf4add25, "__trace_trigger_soft_disabled" },
	{ 0xc3f254a8, "pci_get_device" },
	{ 0x82661744, "dma_unmap_page_attrs" },
	{ 0x37aadeb3, "request_firmware" },
	{ 0xa04143dc, "trace_event_printf" },
	{ 0x76fd3e27, "trace_print_bitmask_seq" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0x84b692e0, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x5113087a, "pci_num_vf" },
	{ 0x4095c4b5, "flow_rule_match_eth_addrs" },
	{ 0x77baa59b, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x6404cbcc, "pci_disable_msi" },
	{ 0xecb4daed, "ptp_clock_index" },
	{ 0x7814d608, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd97f3fd6, "devlink_alloc_ns" },
	{ 0xf471e8bc, "devlink_register" },
	{ 0x3f415855, "pcpu_hot" },
	{ 0x19e1883c, "xdp_do_redirect" },
	{ 0xe273d56f, "devlink_free" },
	{ 0x21f6078e, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf0f62968, "bpf_trace_run2" },
	{ 0x25e4d0d, "netdev_warn" },
	{ 0x820a2108, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xcb4e8c29, "pci_set_power_state" },
	{ 0x148653, "vsnprintf" },
	{ 0x69da5e7e, "flow_rule_match_ipv4_addrs" },
	{ 0xa249bb7b, "__netif_napi_del" },
	{ 0xf3f083f6, "bpf_trace_run8" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xd4a89653, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x1b85f884, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xdc9a4ef7, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb80b9311, "pskb_expand_head" },
	{ 0x9003c270, "dev_driver_string" },
	{ 0xcbfab04c, "pci_restore_msi_state" },
	{ 0x67c9b888, "trace_event_buffer_commit" },
	{ 0x65043152, "dev_addr_mod" },
	{ 0xe33cd917, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x6f16eeba, "ptp_find_pin" },
	{ 0xa816473b, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xe48bdab8, "dma_map_page_attrs" },
	{ 0x8735ed3d, "irq_set_affinity_notifier" },
	{ 0x5fb8648f, "napi_complete_done" },
	{ 0xede05451, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xfc2b8ea2, "priv_to_devlink" },
	{ 0xab8e3733, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xbc1c93f6, "put_device" },
	{ 0xc263e2c9, "__napi_schedule" },
	{ 0xb9600807, "ipv6_skip_exthdr" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb8ea2154, "pci_enable_msix_range" },
	{ 0x448619b2, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xfe2fb62a, "__free_pages" },
	{ 0x7e59cb87, "__hw_addr_unsync_dev" },
	{ 0xd1d3230a, "_dev_info" },
	{ 0xfd193c9d, "napi_gro_receive" },
	{ 0xeb2c4caf, "xdp_features_clear_redirect_target" },
	{ 0x224e8920, "pci_select_bars" },
	{ 0xfb7a6608, "netdev_pick_tx" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x92347955, "xp_raw_get_dma" },
	{ 0x9004a681, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xab81409d, "xdp_rxq_info_is_reg" },
	{ 0x8e82eb08, "flow_block_cb_setup_simple" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x1e5f0c8d, "flow_rule_match_basic" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x9d320bb5, "__dma_sync_single_for_cpu" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xd71b509, "pci_enable_msi" },
	{ 0x22170f70, "perf_trace_run_bpf_submit" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x59ab717b, "devlink_port_unregister" },
	{ 0x788fe7f3, "devm_kfree" },
	{ 0xa426381e, "_dev_err" },
	{ 0x3a421e7b, "init_net" },
	{ 0xec31b3a7, "softnet_data" },
	{ 0x3ab6bbed, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0xbb1d561a, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2fc3c872, "ptp_clock_register" },
	{ 0xd25afea0, "ethtool_intersect_link_masks" },
	{ 0x2d47464, "module_layout" },
};

MODULE_INFO(depends, "libie");

MODULE_ALIAS("pci:v00008086d00001572sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001574sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001580sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001581sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001583sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001584sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001585sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000DD2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001586sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001589sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015FFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000104Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000104Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037CEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037CFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000DDAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001587sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001588sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000CF8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000D58sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000158Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000158Bsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "4C9E6F198D2CC34C91B2C43");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
