#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6b275f5e, "mdio_i2c_alloc" },
	{ 0xe5fa1a16, "__mdiobus_register" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xa3a31fe5, "kmalloc_caches" },
	{ 0xdee8588d, "__kmalloc_cache_noprof" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfa09c855, "__devm_add_action" },
	{ 0xff4ea2dc, "device_get_match_data" },
	{ 0x4256c84, "__dev_fwnode" },
	{ 0x3d83b6dc, "fwnode_find_reference" },
	{ 0x11345b15, "i2c_get_adapter_by_fwnode" },
	{ 0x7b072abb, "device_property_read_u32_array" },
	{ 0x63ce7a94, "devm_gpiod_get_optional" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd6a5c3ec, "sfp_register_socket" },
	{ 0x3cf4589a, "gpiod_to_irq" },
	{ 0xf57f48b, "debugfs_create_dir" },
	{ 0x13ce80ae, "debugfs_create_file_full" },
	{ 0xb7c3b647, "devm_kasprintf" },
	{ 0x6a52e826, "devm_request_threaded_irq" },
	{ 0x1b6b6da8, "debugfs_remove" },
	{ 0xb6787346, "sfp_unregister_socket" },
	{ 0xd02496bf, "seq_lseek" },
	{ 0x375e23a3, "seq_read" },
	{ 0x7dff615a, "single_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc13608ba, "__platform_driver_register" },
	{ 0xf5ebecaf, "devm_free_irq" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x5dcd0173, "get_phy_device" },
	{ 0xdd7ed566, "phy_device_register" },
	{ 0xabd418b8, "sfp_add_phy" },
	{ 0x1f90c666, "phy_device_remove" },
	{ 0xb215ddef, "phy_device_free" },
	{ 0xa426381e, "_dev_err" },
	{ 0xafc207f0, "gpiod_get_value_cansleep" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xaacb50b4, "gpiod_direction_input" },
	{ 0x9056f8ba, "gpiod_direction_output" },
	{ 0x5a3aa3e2, "mdiobus_unregister" },
	{ 0xeca81842, "mdiobus_free" },
	{ 0xbda65c7f, "i2c_put_adapter" },
	{ 0x37a0cba, "kfree" },
	{ 0xa95b5c77, "hwmon_sanitize_name" },
	{ 0xf4d1eae2, "hwmon_device_register_with_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xab5bbc4a, "_dev_warn" },
	{ 0xd1d3230a, "_dev_info" },
	{ 0xc848cd65, "i2c_transfer" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0xe54bf7ee, "single_open" },
	{ 0xd749ede9, "seq_printf" },
	{ 0x697e0cd0, "platform_driver_unregister" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66b97421, "sfp_link_up" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xd4a89653, "__dynamic_dev_dbg" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x6129fb93, "sfp_remove_phy" },
	{ 0xda320d31, "sfp_module_start" },
	{ 0x419e7efd, "sfp_module_stop" },
	{ 0xae5c4c8, "hwmon_device_unregister" },
	{ 0x648f59a9, "sfp_module_insert" },
	{ 0x6b413c9b, "sfp_link_down" },
	{ 0x58def6ca, "sfp_module_remove" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x2d47464, "module_layout" },
};

MODULE_INFO(depends, "mdio-i2c,libphy");

MODULE_ALIAS("of:N*T*Csff,sff");
MODULE_ALIAS("of:N*T*Csff,sffC*");
MODULE_ALIAS("of:N*T*Csff,sfp");
MODULE_ALIAS("of:N*T*Csff,sfpC*");

MODULE_INFO(srcversion, "73CF3058835A7D847F1F9B8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
