#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76x02u_mcu_fw_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_mcu_fw_send_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_init_mcu, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_exit_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02u_mcu_fw_reset, 0xb22610b1, "_gpl");
SYMBOL_CRC(mt76x02u_mcu_fw_send_data, 0x80dde66b, "_gpl");
SYMBOL_CRC(mt76x02u_init_mcu, 0xb7b06d2e, "_gpl");
SYMBOL_CRC(mt76x02u_tx_complete_skb, 0x693ffef3, "_gpl");
SYMBOL_CRC(mt76x02u_mac_start, 0x245add58, "_gpl");
SYMBOL_CRC(mt76x02u_tx_prepare_skb, 0x05002f38, "_gpl");
SYMBOL_CRC(mt76x02u_init_beacon_config, 0x8b44df01, "_gpl");
SYMBOL_CRC(mt76x02u_exit_beacon_config, 0x72e2355d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x30804afc, "mt76x02_mcu_parse_response" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x5ce3d9e3, "mt76_csa_check" },
	{ 0x9f333bdb, "mt76_tx_status_skb_add" },
	{ 0x2a43b1fa, "hrtimer_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb715161, "mt76u_single_wr" },
	{ 0x2fde70bd, "__mt76_tx_complete_skb" },
	{ 0x73716e7e, "mt76x02_mac_reset_counters" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5e68f6b5, "ieee80211_get_hdrlen_from_skb" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0xd4a89653, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x353dfaef, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8b59bc99, "mt76_csa_finish" },
	{ 0x8d377efe, "__alloc_skb" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0xa426381e, "_dev_err" },
	{ 0xa557a7e1, "skb_pull" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x5717e959, "skb_push" },
	{ 0xefdf48d0, "mt76x02_init_beacon_config" },
	{ 0xc973153e, "__mt76_mcu_msg_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x5c2ff8dc, "mt76x02_mac_write_txwi" },
	{ 0xa72ec3e1, "hrtimer_start_range_ns" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf62ec89a, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x72341259, "mt76u_vendor_request" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x814bb413, "mt76_skb_adjust_pad" },
	{ 0xfaa5347c, "hrtimer_cancel" },
	{ 0x9053c878, "mt76x02_mac_set_beacon" },
	{ 0x5c13d818, "hrtimer_active" },
	{ 0x51b64aaf, "__mt76_poll" },
	{ 0xdc66cc70, "mt76x02_update_beacon_iter" },
	{ 0x3c792e95, "mt76x02_enqueue_buffered_bc" },
	{ 0x11053fb7, "mt76x02_remove_hdr_pad" },
	{ 0x96596489, "skb_put" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc686b469, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x41e0a91, "mt76x02_resync_beacon_timer" },
	{ 0x2d47464, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-lib,mt76,mt76-usb,cfg80211,usbcore,mac80211");


MODULE_INFO(srcversion, "1FF9C8D1A8B6859A919F7C9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
