#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(rtw_sdio_pm_ops, "", "");
KSYMTAB_FUNC(rtw_sdio_probe, "", "");
KSYMTAB_FUNC(rtw_sdio_remove, "", "");
KSYMTAB_FUNC(rtw_sdio_shutdown, "", "");

SYMBOL_CRC(rtw_sdio_pm_ops, 0xb2f505a9, "");
SYMBOL_CRC(rtw_sdio_probe, 0x3b32eb3b, "");
SYMBOL_CRC(rtw_sdio_remove, 0xddcc3316, "");
SYMBOL_CRC(rtw_sdio_shutdown, 0x2174da18, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbba78da7, "sdio_set_host_pm_flags" },
	{ 0xe47f77c0, "rtw_chip_info_setup" },
	{ 0x48b3f404, "ieee80211_purge_tx_queue" },
	{ 0xe132abf4, "rtw_unregister_hw" },
	{ 0xa426381e, "_dev_err" },
	{ 0xa557a7e1, "skb_pull" },
	{ 0x1ce67657, "rtw_tx_fill_tx_desc" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5717e959, "skb_push" },
	{ 0xf34c0dd3, "rtw_core_init" },
	{ 0x3e124a7c, "sdio_readl" },
	{ 0x329b1298, "ieee80211_alloc_hw_nm" },
	{ 0x7fb3cb12, "rtw_update_rx_freq_from_ie" },
	{ 0x6054ac3a, "rtw_tx_write_data_rsvd_page_get" },
	{ 0xab5bbc4a, "_dev_warn" },
	{ 0xf495a55e, "sdio_writel" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd692262c, "__netdev_alloc_skb" },
	{ 0xe5f7bc6f, "rtw_rx_stats" },
	{ 0x3917dfd1, "rtw_register_hw" },
	{ 0xdee8588d, "__kmalloc_cache_noprof" },
	{ 0x33c75fb1, "rtw_dbg" },
	{ 0xebfaf3e7, "rtw_core_deinit" },
	{ 0xe910dd92, "rtw_ops" },
	{ 0xb08909d1, "sdio_claim_irq" },
	{ 0x9d17a730, "skb_copy_header" },
	{ 0x55fe7c83, "sdio_enable_func" },
	{ 0xa43128f, "dev_kfree_skb_any_reason" },
	{ 0x347b0cf, "rtw_power_mode_change" },
	{ 0x25c184d, "rtw_tx_write_data_h2c_get" },
	{ 0xa3a31fe5, "kmalloc_caches" },
	{ 0x97b598da, "rtw_fw_c2h_cmd_rx_irqsafe" },
	{ 0xbe11681d, "ieee80211_rx_irqsafe" },
	{ 0x3cecc6ca, "rtw_rx_query_rx_desc" },
	{ 0x3f62fe13, "skb_queue_head" },
	{ 0xd0405f72, "sdio_readb" },
	{ 0x858045d1, "sdio_writeb" },
	{ 0xd2698040, "rtw_tx_report_enqueue" },
	{ 0xf1c36470, "sdio_release_host" },
	{ 0x8b963271, "rtw_tx_queue_mapping" },
	{ 0xe6e48ede, "sdio_disable_func" },
	{ 0xe41cff35, "sdio_set_block_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x96596489, "skb_put" },
	{ 0x3ccd18fd, "sdio_claim_host" },
	{ 0x9f6d10d0, "sdio_memcpy_fromio" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb839f4ec, "skb_dequeue" },
	{ 0x8849fea6, "ieee80211_free_hw" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5a9a5a91, "sdio_memcpy_toio" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x69994659, "sdio_align_size" },
	{ 0x1525968d, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7c351844, "sdio_release_irq" },
	{ 0xad615052, "const_pcpu_hot" },
	{ 0xd91c7951, "skb_queue_tail" },
	{ 0x2d47464, "module_layout" },
};

MODULE_INFO(depends, "mmc_core,rtw88_core,mac80211");


MODULE_INFO(srcversion, "88F5DC4F5CFDEFB03290B58");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
