#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(proc_thermal_add, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_remove, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_suspend, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_resume, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_mmio_add, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_mmio_remove, "_gpl", "");

SYMBOL_CRC(proc_thermal_add, 0x7eee7c90, "_gpl");
SYMBOL_CRC(proc_thermal_remove, 0x0bec11e7, "_gpl");
SYMBOL_CRC(proc_thermal_suspend, 0x0274ca0c, "_gpl");
SYMBOL_CRC(proc_thermal_resume, 0x06419564, "_gpl");
SYMBOL_CRC(proc_thermal_mmio_add, 0xf71ec68f, "_gpl");
SYMBOL_CRC(proc_thermal_mmio_remove, 0xc8eb3578, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x37a0cba, "kfree" },
	{ 0xa426381e, "_dev_err" },
	{ 0x1936331f, "intel_tcc_set_offset" },
	{ 0xa8c9be24, "is_acpi_device_node" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x40cc4d0, "int340x_thermal_zone_add" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x5e10dd49, "sysfs_create_file_ns" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0xbb51704d, "int340x_thermal_zone_remove" },
	{ 0xa1186518, "intel_tcc_get_tjmax" },
	{ 0x58ba857a, "sysfs_create_group" },
	{ 0xd4738d12, "sysfs_remove_file_ns" },
	{ 0x1b3e2497, "sysfs_remove_group" },
	{ 0xab5bbc4a, "_dev_warn" },
	{ 0xeaa65ce6, "pcim_iomap_regions" },
	{ 0x66f4f669, "pcim_iomap_table" },
	{ 0x7da5aa33, "proc_thermal_wt_hint_add" },
	{ 0x1232e4d8, "proc_thermal_rfim_add" },
	{ 0xbc74f4b2, "proc_thermal_wt_req_add" },
	{ 0x66304f6a, "proc_thermal_rapl_add" },
	{ 0x4c64b0b3, "proc_thermal_rfim_remove" },
	{ 0x98e82d4, "proc_thermal_rapl_remove" },
	{ 0x3624dd97, "proc_thermal_wt_hint_remove" },
	{ 0x9b2ee895, "proc_thermal_wt_req_remove" },
	{ 0xd4a89653, "__dynamic_dev_dbg" },
	{ 0xc707bc74, "thermal_zone_device_update" },
	{ 0xb8825581, "pv_ops" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x69ed9108, "proc_thermal_power_floor_set_state" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd41d80d9, "proc_thermal_power_floor_get_state" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xa369d594, "proc_thermal_read_power_floor_status" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8c32aa7b, "intel_tcc_get_offset" },
	{ 0xdb0da161, "intel_tcc_get_temp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x2d47464, "module_layout" },
};

MODULE_INFO(depends, "int340x_thermal_zone,processor_thermal_wt_hint,processor_thermal_rfim,processor_thermal_wt_req,processor_thermal_rapl,processor_thermal_power_floor");


MODULE_INFO(srcversion, "1D4B87AA6FB26DBBAA8DF32");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
