#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ljca_transfer, "_gpl", "LJCA");
KSYMTAB_FUNC(ljca_transfer_noack, "_gpl", "LJCA");
KSYMTAB_FUNC(ljca_register_event_cb, "_gpl", "LJCA");
KSYMTAB_FUNC(ljca_unregister_event_cb, "_gpl", "LJCA");

SYMBOL_CRC(ljca_transfer, 0x7a4fd2cf, "_gpl");
SYMBOL_CRC(ljca_transfer_noack, 0x0f6fd60d, "_gpl");
SYMBOL_CRC(ljca_register_event_cb, 0xb66ec4e1, "_gpl");
SYMBOL_CRC(ljca_unregister_event_cb, 0x6e8cdc9e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x353dfaef, "usb_bulk_msg" },
	{ 0x5df95bc3, "usb_autopm_put_interface" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf2f743b, "usb_register_driver" },
	{ 0x71e68ba9, "usb_submit_urb" },
	{ 0xa82fff43, "usb_kill_urb" },
	{ 0x37a0cba, "kfree" },
	{ 0x65b45cb, "complete" },
	{ 0xd4a89653, "__dynamic_dev_dbg" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa426381e, "_dev_err" },
	{ 0xd6f3f067, "acpi_match_device_ids" },
	{ 0x349cba85, "strchr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xdc46435, "usb_deregister" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xa3a31fe5, "kmalloc_caches" },
	{ 0xdee8588d, "__kmalloc_cache_noprof" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xa31ebdc2, "auxiliary_device_init" },
	{ 0xa8c9be24, "is_acpi_device_node" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x29894e14, "acpi_dev_for_each_child" },
	{ 0x4ee73b7e, "set_primary_fwnode" },
	{ 0x88f6dcf, "__auxiliary_device_add" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0xbc1c93f6, "put_device" },
	{ 0xab5bbc4a, "_dev_warn" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xc47cdb27, "devm_kmalloc" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x9f792c8, "usb_get_intf" },
	{ 0x93c7edeb, "usb_find_common_endpoints" },
	{ 0x2cfbe9e1, "usb_alloc_urb" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x13fe227f, "device_del" },
	{ 0xa5dbbaad, "usb_free_urb" },
	{ 0xd6e73ac5, "usb_put_intf" },
	{ 0xc93802c1, "pm_runtime_set_autosuspend_delay" },
	{ 0xd2e09e40, "usb_enable_autosuspend" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x69acdf38, "memcpy" },
	{ 0x372dcbd7, "usb_autopm_get_interface" },
	{ 0x2d47464, "module_layout" },
};

MODULE_INFO(depends, "usbcore");

MODULE_ALIAS("usb:v8086p0B63d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "789F573277A06897F17664C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
