#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdb28b4d3, "inode_newsize_ok" },
	{ 0xe5f2041a, "d_drop" },
	{ 0xaaa50c36, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0xecc99431, "block_invalidate_folio" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6ad49c4f, "crypto_skcipher_decrypt" },
	{ 0x5ff03794, "truncate_inode_pages_final" },
	{ 0xa617b49, "fs_kobj" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xc7578055, "__filemap_set_wb_err" },
	{ 0xd5ac2162, "key_type_encrypted" },
	{ 0x9664cedf, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x2581d7b9, "__filemap_get_folio" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xad615052, "const_pcpu_hot" },
	{ 0xfe2fb62a, "__free_pages" },
	{ 0x47f15f89, "atomic_dec_and_mutex_lock" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x30a8df39, "inode_init_once" },
	{ 0x5651f5e3, "file_write_and_wait_range" },
	{ 0x1a2d28b4, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8703c297, "vfs_get_link" },
	{ 0x5913c8e2, "fput" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xeed7fd81, "up_write" },
	{ 0xe5357429, "generic_file_read_iter" },
	{ 0xb9998202, "noop_llseek" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xeb887c74, "set_nlink" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x75c1cdaa, "kmem_cache_alloc_lru_noprof" },
	{ 0x4ade2b6b, "lock_rename" },
	{ 0x3a0c6d7, "kmem_cache_free" },
	{ 0x715a5ed0, "vprintk" },
	{ 0x3f1ba36e, "__vfs_setxattr_locked" },
	{ 0x5a921311, "strncmp" },
	{ 0x7c34477b, "mutex_is_locked" },
	{ 0xde60094c, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xe4e82efb, "__vfs_setxattr" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x58ba857a, "sysfs_create_group" },
	{ 0x64ad4dbb, "kthread_stop" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x55613a7b, "folio_end_read" },
	{ 0xbd86efa1, "block_dirty_folio" },
	{ 0xd1dbc7ab, "from_kuid" },
	{ 0xfb578fc5, "memset" },
	{ 0x8d4c48f6, "kern_path" },
	{ 0x1a1276bb, "vfs_set_acl" },
	{ 0x25901705, "misc_register" },
	{ 0x6760790, "kernel_read" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb778bc92, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x94ebb1a1, "key_validate" },
	{ 0x428fc172, "__kmem_cache_create_args" },
	{ 0x999454ff, "unlock_rename" },
	{ 0xc2a7614d, "vfs_rmdir" },
	{ 0xa4b49db6, "writeback_iter" },
	{ 0xad23f76b, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x916b92be, "mutex_trylock" },
	{ 0x49f9f5e3, "truncate_setsize" },
	{ 0x2eb688eb, "kthread_create_on_node" },
	{ 0x1b3e2497, "sysfs_remove_group" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x9e7269b3, "vfs_symlink" },
	{ 0xef8b3bbd, "super_setup_bdi" },
	{ 0xabf148ea, "igrab" },
	{ 0xcb0bc32, "generic_read_dir" },
	{ 0x5629fa1f, "d_instantiate_new" },
	{ 0x70b6f30a, "d_add" },
	{ 0x2fd7da55, "vfs_fsync" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xcc121314, "vfs_mknod" },
	{ 0x7567a110, "init_user_ns" },
	{ 0x4c6e2956, "dentry_open" },
	{ 0x2d7cfc5d, "request_key_tag" },
	{ 0x4659c213, "__folio_put" },
	{ 0x273b2f0d, "vfs_fileattr_set" },
	{ 0xdee8588d, "__kmalloc_cache_noprof" },
	{ 0x486fe199, "set_anon_super_fc" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd749ede9, "seq_printf" },
	{ 0xd5a6b011, "dput" },
	{ 0xfc43ef2a, "lockref_get" },
	{ 0xf6afe2da, "deactivate_locked_super" },
	{ 0xa4c10522, "touch_atime" },
	{ 0x95dda98d, "lookup_one_len_unlocked" },
	{ 0x6d347203, "vfs_llseek" },
	{ 0xe94b3e7b, "alloc_pages_noprof" },
	{ 0xb5c044c3, "__folio_lock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xc024367, "__fs_parse" },
	{ 0x7d1d0620, "filemap_splice_read" },
	{ 0x9c0c4989, "vfs_link" },
	{ 0xb8b043f2, "kfree_link" },
	{ 0xded25470, "key_type_user" },
	{ 0xcef1da3f, "kill_anon_super" },
	{ 0x79088e91, "vfs_getattr_nosec" },
	{ 0x430330a1, "iget5_locked" },
	{ 0x79ce8c6c, "filemap_write_and_wait_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x56a20443, "bmap" },
	{ 0x754d539c, "strlen" },
	{ 0xeaa66c0f, "param_ops_int" },
	{ 0x82b23d4d, "inode_permission" },
	{ 0x3bca5f86, "mntget" },
	{ 0x168d42df, "crypto_alloc_shash" },
	{ 0x3ad260e3, "__mark_inode_dirty" },
	{ 0xb0e7ae93, "generic_file_llseek" },
	{ 0xe23544c, "make_bad_inode" },
	{ 0x4f56675d, "vfs_get_acl" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x9ddf9d86, "fsstack_copy_inode_size" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa3a31fe5, "kmalloc_caches" },
	{ 0x1f5c9dfa, "inode_set_ctime_to_ts" },
	{ 0x8d755dce, "iget_failed" },
	{ 0xfcf4eb2b, "kernel_write" },
	{ 0xaa34d0c5, "kmem_cache_destroy" },
	{ 0x5da0b651, "kobject_put" },
	{ 0x162de87c, "vfs_create" },
	{ 0x7d0b4316, "crypto_alloc_skcipher" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x8b60e0d0, "crypto_skcipher_encrypt" },
	{ 0x8bbfe00a, "generic_fillattr" },
	{ 0x47637e9d, "setattr_prepare" },
	{ 0xc4a91533, "filemap_migrate_folio" },
	{ 0xb7aa906a, "clear_nlink" },
	{ 0x2c67f3f9, "vfs_fileattr_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9566ed99, "d_instantiate" },
	{ 0xe35815b6, "misc_deregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x743787af, "clear_inode" },
	{ 0x8f78dc5f, "notify_change" },
	{ 0x8e988874, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4da0525, "vfs_rename" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x8fea3426, "fs_param_is_string" },
	{ 0x9a5aedff, "folio_unlock" },
	{ 0xa580d8ce, "crypto_shash_tfm_digest" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x96c8c605, "init_special_inode" },
	{ 0xa2eb3250, "unregister_filesystem" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x3adac96, "iterate_dir" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x76aa314f, "d_make_root" },
	{ 0xfa75524d, "read_cache_folio" },
	{ 0x33c8e107, "sget_fc" },
	{ 0xa94c47bf, "d_splice_alias" },
	{ 0xa7ec63c9, "param_ops_long" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xb295ef74, "iput" },
	{ 0x1ddbdf69, "__vfs_getxattr" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xefa61e51, "generic_file_write_iter" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xbf4f8160, "crypto_skcipher_setkey" },
	{ 0xe795d3ab, "fsstack_copy_attr_all" },
	{ 0x6a4c2986, "register_filesystem" },
	{ 0x391e1c38, "vfs_unlink" },
	{ 0x3a7b6be1, "path_put" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb76a4e08, "wake_up_process" },
	{ 0x16fafa33, "vfs_mkdir" },
	{ 0xf0049f01, "crypto_destroy_tfm" },
	{ 0x42254914, "__vfs_removexattr" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe80898e, "fs_param_is_u32" },
	{ 0x2d47464, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E1336512789D995A1D5E5A5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
