#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dccp_feat_list_purge, "_gpl", "");
KSYMTAB_FUNC(dccp_feat_nn_get, "_gpl", "");
KSYMTAB_FUNC(dccp_feat_signal_nn_change, "_gpl", "");
KSYMTAB_FUNC(dccp_rcv_established, "_gpl", "");
KSYMTAB_FUNC(dccp_rcv_state_process, "_gpl", "");
KSYMTAB_DATA(dccp_death_row, "_gpl", "");
KSYMTAB_FUNC(dccp_create_openreq_child, "_gpl", "");
KSYMTAB_FUNC(dccp_check_req, "_gpl", "");
KSYMTAB_FUNC(dccp_child_process, "_gpl", "");
KSYMTAB_FUNC(dccp_reqsk_send_ack, "_gpl", "");
KSYMTAB_FUNC(dccp_reqsk_init, "_gpl", "");
KSYMTAB_FUNC(dccp_parse_options, "_gpl", "");
KSYMTAB_FUNC(dccp_insert_option, "_gpl", "");
KSYMTAB_FUNC(dccp_sync_mss, "_gpl", "");
KSYMTAB_FUNC(dccp_make_response, "_gpl", "");
KSYMTAB_FUNC(dccp_ctl_make_reset, "_gpl", "");
KSYMTAB_FUNC(dccp_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_send_ack, "_gpl", "");
KSYMTAB_FUNC(dccp_send_sync, "_gpl", "");
KSYMTAB_DATA(dccp_statistics, "_gpl", "");
KSYMTAB_DATA(dccp_orphan_count, "_gpl", "");
KSYMTAB_DATA(dccp_hashinfo, "_gpl", "");
KSYMTAB_FUNC(dccp_set_state, "_gpl", "");
KSYMTAB_FUNC(dccp_done, "_gpl", "");
KSYMTAB_FUNC(dccp_packet_name, "_gpl", "");
KSYMTAB_FUNC(dccp_destruct_common, "_gpl", "");
KSYMTAB_FUNC(dccp_init_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_destroy_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_disconnect, "_gpl", "");
KSYMTAB_FUNC(dccp_poll, "_gpl", "");
KSYMTAB_FUNC(dccp_ioctl, "_gpl", "");
KSYMTAB_FUNC(dccp_setsockopt, "_gpl", "");
KSYMTAB_FUNC(dccp_getsockopt, "_gpl", "");
KSYMTAB_FUNC(dccp_sendmsg, "_gpl", "");
KSYMTAB_FUNC(dccp_recvmsg, "_gpl", "");
KSYMTAB_FUNC(inet_dccp_listen, "_gpl", "");
KSYMTAB_FUNC(dccp_close, "_gpl", "");
KSYMTAB_FUNC(dccp_shutdown, "_gpl", "");
KSYMTAB_FUNC(dccp_timestamp, "_gpl", "");
KSYMTAB_FUNC(dccp_ackvec_parsed_add, "_gpl", "");
KSYMTAB_FUNC(dccp_ackvec_parsed_cleanup, "_gpl", "");

SYMBOL_CRC(dccp_feat_list_purge, 0x4cdd391d, "_gpl");
SYMBOL_CRC(dccp_feat_nn_get, 0x48f8b510, "_gpl");
SYMBOL_CRC(dccp_feat_signal_nn_change, 0x34e47ec2, "_gpl");
SYMBOL_CRC(dccp_rcv_established, 0xedb3bb93, "_gpl");
SYMBOL_CRC(dccp_rcv_state_process, 0x941445d3, "_gpl");
SYMBOL_CRC(dccp_death_row, 0x5d03b2f7, "_gpl");
SYMBOL_CRC(dccp_create_openreq_child, 0x87bf90a7, "_gpl");
SYMBOL_CRC(dccp_check_req, 0xa1cfed0b, "_gpl");
SYMBOL_CRC(dccp_child_process, 0xfa2679ed, "_gpl");
SYMBOL_CRC(dccp_reqsk_send_ack, 0x322705fb, "_gpl");
SYMBOL_CRC(dccp_reqsk_init, 0x3ccc014d, "_gpl");
SYMBOL_CRC(dccp_parse_options, 0xea129127, "_gpl");
SYMBOL_CRC(dccp_insert_option, 0xfddd4804, "_gpl");
SYMBOL_CRC(dccp_sync_mss, 0x3b8e7176, "_gpl");
SYMBOL_CRC(dccp_make_response, 0xc465eba9, "_gpl");
SYMBOL_CRC(dccp_ctl_make_reset, 0xb87f5636, "_gpl");
SYMBOL_CRC(dccp_connect, 0x6c8b3962, "_gpl");
SYMBOL_CRC(dccp_send_ack, 0xf31c080f, "_gpl");
SYMBOL_CRC(dccp_send_sync, 0x3862abd8, "_gpl");
SYMBOL_CRC(dccp_statistics, 0x59814a84, "_gpl");
SYMBOL_CRC(dccp_orphan_count, 0xd75b7072, "_gpl");
SYMBOL_CRC(dccp_hashinfo, 0x3ac2c6cf, "_gpl");
SYMBOL_CRC(dccp_set_state, 0xa6b5ce11, "_gpl");
SYMBOL_CRC(dccp_done, 0x5963f6bb, "_gpl");
SYMBOL_CRC(dccp_packet_name, 0x86be7924, "_gpl");
SYMBOL_CRC(dccp_destruct_common, 0xe96f7a5e, "_gpl");
SYMBOL_CRC(dccp_init_sock, 0x5ad23d20, "_gpl");
SYMBOL_CRC(dccp_destroy_sock, 0x925c952e, "_gpl");
SYMBOL_CRC(dccp_disconnect, 0x16ac00c0, "_gpl");
SYMBOL_CRC(dccp_poll, 0x958ea239, "_gpl");
SYMBOL_CRC(dccp_ioctl, 0xa78ff6e7, "_gpl");
SYMBOL_CRC(dccp_setsockopt, 0xca579496, "_gpl");
SYMBOL_CRC(dccp_getsockopt, 0x8adf2534, "_gpl");
SYMBOL_CRC(dccp_sendmsg, 0x7bb18f65, "_gpl");
SYMBOL_CRC(dccp_recvmsg, 0x6a761fb3, "_gpl");
SYMBOL_CRC(inet_dccp_listen, 0x9b720c0e, "_gpl");
SYMBOL_CRC(dccp_close, 0xacbdd254, "_gpl");
SYMBOL_CRC(dccp_shutdown, 0x8031e825, "_gpl");
SYMBOL_CRC(dccp_timestamp, 0x80993155, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_add, 0x182ec2bf, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_cleanup, 0x9598d24d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x335a4191, "inet_put_port" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x89ea708a, "inet_csk_init_xmit_timers" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x8d377efe, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xad615052, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x18ca967e, "sk_reset_timer" },
	{ 0xd91c7951, "skb_queue_tail" },
	{ 0xcb5190e7, "sk_stream_wait_close" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x22170f70, "perf_trace_run_bpf_submit" },
	{ 0x3a421e7b, "init_net" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbcea9178, "ip6_mtu" },
	{ 0x61f9ea0a, "sk_skb_reason_drop" },
	{ 0x7d8e1e43, "sk_free" },
	{ 0x95575194, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x5717e959, "skb_push" },
	{ 0x3a0c6d7, "kmem_cache_free" },
	{ 0x40f51c5d, "proc_doulongvec_minmax" },
	{ 0x3b39c4bf, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x2a9b98a1, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xd5fa38e5, "skb_copy_datagram_iter" },
	{ 0xa05272ff, "tcp_stream_memory_free" },
	{ 0xbeec20b6, "skb_checksum" },
	{ 0xfb578fc5, "memset" },
	{ 0x29ef8960, "sk_wait_data" },
	{ 0x4303d980, "inet_csk_clone_lock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb778bc92, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x8cda149a, "inet_twsk_hashdance_schedule" },
	{ 0x428fc172, "__kmem_cache_create_args" },
	{ 0x114429b1, "skb_unlink" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x61320244, "inet_csk_listen_start" },
	{ 0x869f1c30, "sk_free_unlock_clone" },
	{ 0x78b0aee5, "sock_rfree" },
	{ 0x52db7e66, "ipv4_mtu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x57e24a2, "skb_set_owner_w" },
	{ 0x9dd9e320, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfaea6e54, "param_ops_bool" },
	{ 0xf1b7d0e5, "sock_alloc_send_pskb" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xdee8588d, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xefd26251, "skb_clone" },
	{ 0x6a4e0260, "inet_sk_set_state" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x4388b8e8, "dst_release" },
	{ 0x5413ff01, "sk_stream_wait_connect" },
	{ 0x6f998821, "_copy_from_iter" },
	{ 0xd962d35f, "inet_csk_destroy_sock" },
	{ 0x7979c8dd, "sk_stop_timer" },
	{ 0x9c4672d9, "unregister_net_sysctl_table" },
	{ 0x76de0d11, "inet_rtx_syn_ack" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xeaa66c0f, "param_ops_int" },
	{ 0x8b4c7299, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x6dd9e87c, "inet_csk_listen_stop" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x62c7c0be, "__kfree_skb" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xa3a31fe5, "kmalloc_caches" },
	{ 0xec098d73, "skb_dump" },
	{ 0xaa34d0c5, "kmem_cache_destroy" },
	{ 0xc37aac48, "inet_csk_complete_hashdance" },
	{ 0x137a1876, "release_sock" },
	{ 0x2ef020ef, "inet_csk_reqsk_queue_drop" },
	{ 0xf03ef1fc, "proc_dointvec_minmax" },
	{ 0x57d62f5d, "inet_hashinfo2_init_mod" },
	{ 0x4826db7b, "inet_bhash2_reset_saddr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x928fe024, "inet_ehash_locks_alloc" },
	{ 0x96596489, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc686b469, "consume_skb" },
	{ 0xf3d78c6c, "sock_wmalloc" },
	{ 0x3f129fb, "trace_raw_output_prep" },
	{ 0xb839f4ec, "skb_dequeue" },
	{ 0xcf4add25, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x2e332034, "_raw_write_lock_bh" },
	{ 0xa04143dc, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x134d4eea, "__kmalloc_node_track_caller_noprof" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0x7814d608, "trace_event_raw_init" },
	{ 0xa9bac7b9, "proc_dointvec_ms_jiffies" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3f415855, "pcpu_hot" },
	{ 0xce56ce8c, "_raw_write_unlock_bh" },
	{ 0xf0f62968, "bpf_trace_run2" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x708a1d82, "inet_csk_clear_xmit_timers" },
	{ 0x148653, "vsnprintf" },
	{ 0x5ca88913, "inet_twsk_alloc" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1b5e142d, "sk_error_report" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x67c9b888, "trace_event_buffer_commit" },
	{ 0x5dc88e6c, "register_net_sysctl_sz" },
	{ 0x36920a04, "inet_sock_destruct" },
	{ 0x2d47464, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4C4A0F686D56AE1D6DAE0AE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
