#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mtl_dsp_check_ipc_irq, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_ipc_send_msg, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_disable_ipc_interrupts, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_enable_interrupts, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_pre_fw_run, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_post_fw_run, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_dump, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_power_down_dsp, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_cl_init, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_ipc_irq_thread, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_ipc_get_mailbox_offset, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_ipc_get_window_offset, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_ipc_dump, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_core_get, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_core_put, "", "SND_SOC_SOF_INTEL_MTL");

SYMBOL_CRC(mtl_dsp_check_ipc_irq, 0x7a794573, "");
SYMBOL_CRC(mtl_ipc_send_msg, 0x83e3d2c5, "");
SYMBOL_CRC(mtl_disable_ipc_interrupts, 0x8983c24d, "");
SYMBOL_CRC(mtl_enable_interrupts, 0x72e91562, "");
SYMBOL_CRC(mtl_dsp_pre_fw_run, 0x19fedd10, "");
SYMBOL_CRC(mtl_dsp_post_fw_run, 0xf1b40a91, "");
SYMBOL_CRC(mtl_dsp_dump, 0xd9e2eb2f, "");
SYMBOL_CRC(mtl_power_down_dsp, 0x97cab825, "");
SYMBOL_CRC(mtl_dsp_cl_init, 0xb47574f2, "");
SYMBOL_CRC(mtl_ipc_irq_thread, 0x8001c2bf, "");
SYMBOL_CRC(mtl_dsp_ipc_get_mailbox_offset, 0x2d7f88c7, "");
SYMBOL_CRC(mtl_dsp_ipc_get_window_offset, 0xb99c1d4f, "");
SYMBOL_CRC(mtl_ipc_dump, 0x7896703b, "");
SYMBOL_CRC(mtl_dsp_core_get, 0x91825c55, "");
SYMBOL_CRC(mtl_dsp_core_put, 0x1e9a1259, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x84b692e0, "__pci_register_driver" },
	{ 0x37a0cba, "kfree" },
	{ 0x3f415855, "pcpu_hot" },
	{ 0xd8798242, "hda_dsp_set_power_state_ipc4" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbad29c9e, "sof_ipc4_intel_dump_telemetry_state" },
	{ 0xd4a89653, "__dynamic_dev_dbg" },
	{ 0x1b85f884, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x97048f5b, "sof_hda_common_ops" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x2ea0d31f, "hda_sdw_check_lcount_common" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b37f935, "__SCT__tp_func_sof_intel_hda_irq_ipc_check" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x11efe04d, "hda_pci_intel_probe" },
	{ 0x392f4d25, "snd_sof_dsp_dbg_dump" },
	{ 0x73a64e3a, "sof_mailbox_write" },
	{ 0xa426381e, "_dev_err" },
	{ 0xc41fa654, "debugfs_create_bool" },
	{ 0x97e46ea0, "snd_sof_dsp_update_bits_forced" },
	{ 0x4d51b68e, "sof_pci_remove" },
	{ 0x3ae060ad, "snd_soc_acpi_intel_mtl_machines" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xae91ef37, "hda_set_dai_drv_ops" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x7a03f19b, "snd_sof_ipc_get_reply" },
	{ 0xa72dfd96, "snd_sof_dsp_update_bits" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x6444cf39, "__SCK__tp_func_sof_intel_hda_irq_ipc_check" },
	{ 0x628fd4ca, "snd_sof_ipc_reply" },
	{ 0x8aead5e4, "hda_ipc4_tx_is_busy" },
	{ 0x26b4c33d, "__tracepoint_sof_intel_hda_irq_ipc_check" },
	{ 0x49cf97e8, "hda_ops_free" },
	{ 0xa34211f7, "sof_pci_shutdown" },
	{ 0xdee8588d, "__kmalloc_cache_noprof" },
	{ 0xf45d3ebb, "hda_sdw_process_wakeen_common" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xa8fad036, "hda_dsp_get_state" },
	{ 0x2950af09, "hda_dsp_ipc4_load_library" },
	{ 0x9d2ec1d5, "hda_dsp_ipc4_schedule_d0i3_work" },
	{ 0x48fa622a, "sof_pci_pm" },
	{ 0xd08499f3, "snd_soc_acpi_intel_arl_sdw_machines" },
	{ 0x63ac09eb, "snd_soc_acpi_intel_mtl_sdw_machines" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa3a31fe5, "kmalloc_caches" },
	{ 0x26ce3f12, "hda_sdw_check_wakeen_irq_common" },
	{ 0xfc696118, "snd_soc_acpi_intel_arl_machines" },
	{ 0x97a73c2e, "hda_dsp_shutdown" },
	{ 0xcfddf949, "hda_sdw_int_enable" },
	{ 0x3176920e, "hda_sdw_startup" },
	{ 0x2d47464, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-intel-hda-common,snd-sof-intel-hda-generic,snd-sof,snd-sof-pci,snd-soc-acpi-intel-match");

MODULE_ALIAS("pci:v00008086d00007E28sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007F50sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007728sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "252A129CF5CC6CE6B15408F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
