#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(crypto_transfer_aead_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_akcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_hash_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_kpp_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_skcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_aead_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_akcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_hash_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_kpp_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_skcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_start, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_stop, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init_and_set, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_exit, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skciphers, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skciphers, "_gpl", "");

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0x68af0f07, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0xd3a05769, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0x87290753, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0x5b4e10ed, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0x226b133a, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0x7cdb8ebe, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0xba0304a0, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0xd211a671, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0xcbf1e6da, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0x82b19311, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0x91d2a00e, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0x717b5ea1, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0x29e731cc, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0x4bdf5024, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0xe246f383, "_gpl");
SYMBOL_CRC(crypto_engine_register_aead, 0xf7f2bcad, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aead, 0xaec19e45, "_gpl");
SYMBOL_CRC(crypto_engine_register_aeads, 0xec6f7d7c, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aeads, 0xc6c0b34f, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahash, 0x7ae34fe2, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahash, 0xd84eb999, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahashes, 0xe7236be8, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahashes, 0xbed2270b, "_gpl");
SYMBOL_CRC(crypto_engine_register_akcipher, 0xcd01c299, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_akcipher, 0x72fb0c41, "_gpl");
SYMBOL_CRC(crypto_engine_register_kpp, 0x115b2958, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_kpp, 0x741facc0, "_gpl");
SYMBOL_CRC(crypto_engine_register_skcipher, 0x15438902, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skcipher, 0xcd6aaa92, "_gpl");
SYMBOL_CRC(crypto_engine_register_skciphers, 0x75616b17, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skciphers, 0x34a0b6b0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x25f34f0, "kthread_queue_work" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf9a482f9, "msleep" },
	{ 0xab5bbc4a, "_dev_warn" },
	{ 0xc47cdb27, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xf730afac, "kthread_create_worker" },
	{ 0xa426381e, "_dev_err" },
	{ 0xd1d3230a, "_dev_info" },
	{ 0x8de98bec, "sched_set_fifo" },
	{ 0x5fe5787f, "crypto_register_aead" },
	{ 0xb9df198, "crypto_unregister_aead" },
	{ 0x4d30ec8d, "crypto_register_ahash" },
	{ 0xfbc51fdd, "crypto_unregister_ahash" },
	{ 0xec4f5ca7, "crypto_register_akcipher" },
	{ 0xc2e3633a, "crypto_unregister_akcipher" },
	{ 0x6136ff3, "crypto_register_kpp" },
	{ 0x9e105ce6, "crypto_unregister_kpp" },
	{ 0x41810041, "crypto_register_skcipher" },
	{ 0xbe532d4, "crypto_unregister_skcipher" },
	{ 0xb8d7fafb, "crypto_enqueue_request" },
	{ 0xbcbddcba, "crypto_dequeue_request" },
	{ 0xb86b6cc4, "crypto_enqueue_request_head" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x52ba2a0c, "kthread_destroy_worker" },
	{ 0x2d47464, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "28D1AA24B558B76E4CD01C0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
