#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_gem_dma_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create_internal, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_dma_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_print_info, "", "");
KSYMTAB_FUNC(drm_gem_dma_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_vmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table_vmap, "", "");
KSYMTAB_FUNC(drm_fbdev_dma_driver_fbdev_probe, "", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_obj, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_addr, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_sync_non_coherent, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_scanout_buffer, "", "");

SYMBOL_CRC(drm_gem_dma_create, 0xe059addb, "_gpl");
SYMBOL_CRC(drm_gem_dma_free, 0x085864dd, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create_internal, 0x1a337d8d, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create, 0x04e39c5e, "_gpl");
SYMBOL_CRC(drm_gem_dma_vm_ops, 0xde823be3, "_gpl");
SYMBOL_CRC(drm_gem_dma_print_info, 0x7848f17e, "");
SYMBOL_CRC(drm_gem_dma_get_sg_table, 0xb0d106ab, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table, 0x33e11448, "_gpl");
SYMBOL_CRC(drm_gem_dma_vmap, 0x80fc5661, "_gpl");
SYMBOL_CRC(drm_gem_dma_mmap, 0x187b774f, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table_vmap, 0xabffbc69, "");
SYMBOL_CRC(drm_fbdev_dma_driver_fbdev_probe, 0x7cc080b5, "");
SYMBOL_CRC(drm_fb_dma_get_gem_obj, 0xe9459748, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_gem_addr, 0x316b9302, "_gpl");
SYMBOL_CRC(drm_fb_dma_sync_non_coherent, 0x3683ca49, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_scanout_buffer, 0x3ffcfd8a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe328236d, "drm_client_framebuffer_delete" },
	{ 0x91886403, "dma_free_pages" },
	{ 0x4eb91248, "drm_client_framebuffer_create" },
	{ 0x247218ba, "drm_fb_helper_deferred_io" },
	{ 0xa135cfcf, "drm_fb_helper_release_info" },
	{ 0x37a0cba, "kfree" },
	{ 0xac1680ea, "drm_driver_legacy_fb_format" },
	{ 0x1201f510, "drm_fb_helper_fill_info" },
	{ 0xc7b11836, "drm_gem_create_mmap_offset" },
	{ 0x6b04b9fb, "fb_deferred_io_init" },
	{ 0xc098e7ff, "fb_deferred_io_cleanup" },
	{ 0x933357fa, "drm_gem_object_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9003c270, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{  0xbac3d, "fb_sys_write" },
	{ 0x8d884fd7, "sys_imageblit" },
	{ 0xe787917c, "drm_atomic_helper_damage_iter_init" },
	{ 0xd830dbfc, "drm_fb_helper_damage_range" },
	{ 0x9b0210db, "drm_fb_helper_blank" },
	{ 0x5b3f9ea6, "dma_alloc_pages" },
	{ 0x54a88d0f, "drm_gem_private_object_init" },
	{ 0x6d4d7f0c, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb67cb45f, "drm_fb_helper_damage_area" },
	{ 0xafe8e543, "sys_fillrect" },
	{ 0x7532bfb3, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xc0973295, "drm_gem_vm_close" },
	{ 0x34a848d6, "drm_gem_vm_open" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xeed7fd81, "up_write" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7c21a2f5, "drm_gem_object_release" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0xe8672e1e, "dma_alloc_attrs" },
	{ 0xdad9c8b1, "drm_prime_get_contiguous_size" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf4e60dcf, "drm_gem_handle_create" },
	{ 0xc44ca980, "drm_gem_fb_get_obj" },
	{ 0x16f03199, "__drm_dev_dbg" },
	{ 0xea6202b6, "fb_deferred_io_mmap" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2c59e3e4, "drm_fb_helper_pan_display" },
	{ 0xf07ca850, "drm_client_release" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x6539e0be, "sys_copyarea" },
	{ 0xf4b5539b, "dma_free_attrs" },
	{ 0x4a59a39a, "drm_printf" },
	{ 0x8ddcda13, "__dma_sync_single_for_device" },
	{ 0xdee8588d, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbe9080de, "drm_client_buffer_vunmap" },
	{ 0xe078d139, "fb_sys_read" },
	{ 0xa8c67964, "drm_fb_helper_debug_leave" },
	{ 0x9eb9919e, "dma_buf_vmap_unlocked" },
	{ 0x36cf9156, "dma_mmap_attrs" },
	{ 0xbb207d57, "dma_get_sgtable_attrs" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0xa3a31fe5, "kmalloc_caches" },
	{ 0xd0fafe2, "drm_fb_helper_ioctl" },
	{ 0x6c7709df, "drm_fb_helper_set_par" },
	{ 0x314a8eba, "drm_prime_gem_destroy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc30ce56f, "try_module_get" },
	{ 0x58074da8, "drm_fb_helper_debug_enter" },
	{ 0xe223addf, "dma_buf_vunmap_unlocked" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x4114f531, "drm_client_buffer_vmap" },
	{ 0x73be9dd3, "drm_fb_helper_setcmap" },
	{ 0x1fe5599e, "drm_fb_helper_alloc_info" },
	{ 0xfb720787, "drm_fb_helper_unprepare" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0x732ce37e, "drm_gem_prime_mmap" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x675d9001, "drm_fb_helper_fini" },
	{ 0x770309e8, "dma_mmap_pages" },
	{ 0x2d47464, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A0D9F2DD781B0A70E555C7A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
