#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hid_sensor_read_poll_value, "", "IIO_HID_ATTRIBUTES");
KSYMTAB_FUNC(hid_sensor_read_samp_freq_value, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_write_samp_freq_value, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_read_raw_hyst_value, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_read_raw_hyst_rel_value, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_write_raw_hyst_value, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_write_raw_hyst_rel_value, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_format_scale, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_convert_timestamp, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_get_report_latency, "", "IIO_HID_ATTRIBUTES");
KSYMTAB_FUNC(hid_sensor_set_report_latency, "", "IIO_HID_ATTRIBUTES");
KSYMTAB_FUNC(hid_sensor_batch_mode_supported, "", "IIO_HID_ATTRIBUTES");
KSYMTAB_FUNC(hid_sensor_parse_common_attributes, "", "IIO_HID");

SYMBOL_CRC(hid_sensor_read_poll_value, 0x1d903c6e, "");
SYMBOL_CRC(hid_sensor_read_samp_freq_value, 0xe2ce0ee9, "");
SYMBOL_CRC(hid_sensor_write_samp_freq_value, 0x90aa99cf, "");
SYMBOL_CRC(hid_sensor_read_raw_hyst_value, 0x6cf6895e, "");
SYMBOL_CRC(hid_sensor_read_raw_hyst_rel_value, 0x5cf5b980, "");
SYMBOL_CRC(hid_sensor_write_raw_hyst_value, 0xb18aea91, "");
SYMBOL_CRC(hid_sensor_write_raw_hyst_rel_value, 0x1ef9df03, "");
SYMBOL_CRC(hid_sensor_format_scale, 0x7f7621ec, "");
SYMBOL_CRC(hid_sensor_convert_timestamp, 0xf7c0ced1, "");
SYMBOL_CRC(hid_sensor_get_report_latency, 0x5ecb566d, "");
SYMBOL_CRC(hid_sensor_set_report_latency, 0x0d2310ed, "");
SYMBOL_CRC(hid_sensor_batch_mode_supported, 0x70c243fb, "");
SYMBOL_CRC(hid_sensor_parse_common_attributes, 0x179fc90c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd4a89653, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x479dbb66, "sensor_hub_set_feature" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1af267f8, "int_pow" },
	{ 0x3e1c81fb, "sensor_hub_input_get_attribute_info" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x59ff8c74, "sensor_hub_get_feature" },
	{ 0x2d47464, "module_layout" },
};

MODULE_INFO(depends, "hid-sensor-hub");


MODULE_INFO(srcversion, "6871F7329F4D0285A45ABEE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
