#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ib_uverbs_get_ucontext_file, "", "");
KSYMTAB_FUNC(rdma_user_mmap_disassociate, "", "");
KSYMTAB_FUNC(flow_resources_alloc, "", "");
KSYMTAB_FUNC(ib_uverbs_flow_resources_free, "", "");
KSYMTAB_FUNC(flow_resources_add, "", "");
KSYMTAB_FUNC(ib_copy_ah_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_qp_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_from_user, "", "");
KSYMTAB_FUNC(uverbs_uobject_put, "", "");
KSYMTAB_FUNC(uverbs_try_lock_object, "", "");
KSYMTAB_DATA(uverbs_idr_class, "", "");
KSYMTAB_FUNC(uverbs_uobject_fd_release, "", "");
KSYMTAB_DATA(uverbs_fd_class, "", "");
KSYMTAB_FUNC(uverbs_destroy_def_handler, "", "");
KSYMTAB_FUNC(_uverbs_alloc, "", "");
KSYMTAB_FUNC(uverbs_get_flags64, "", "");
KSYMTAB_FUNC(uverbs_get_flags32, "", "");
KSYMTAB_FUNC(uverbs_copy_to, "", "");
KSYMTAB_FUNC(_uverbs_get_const_signed, "", "");
KSYMTAB_FUNC(_uverbs_get_const_unsigned, "", "");
KSYMTAB_FUNC(uverbs_copy_to_struct_or_zero, "", "");
KSYMTAB_FUNC(uverbs_finalize_uobj_create, "", "");
KSYMTAB_FUNC(ib_umem_find_best_pgsz, "", "");
KSYMTAB_FUNC(ib_umem_get, "", "");
KSYMTAB_FUNC(ib_umem_release, "", "");
KSYMTAB_FUNC(ib_umem_copy_from, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_map_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_unmap_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get_pinned_with_dma_device, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get_pinned, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_revoke, "", "");
KSYMTAB_FUNC(ib_umem_odp_alloc_implicit, "", "");
KSYMTAB_FUNC(ib_umem_odp_alloc_child, "", "");
KSYMTAB_FUNC(ib_umem_odp_get, "", "");
KSYMTAB_FUNC(ib_umem_odp_release, "", "");
KSYMTAB_FUNC(ib_umem_odp_map_dma_and_lock, "", "");
KSYMTAB_FUNC(ib_umem_odp_unmap_dma_pages, "", "");

SYMBOL_CRC(ib_uverbs_get_ucontext_file, 0xa7dcf3b8, "");
SYMBOL_CRC(rdma_user_mmap_disassociate, 0x0d27f76a, "");
SYMBOL_CRC(flow_resources_alloc, 0xfcb788a9, "");
SYMBOL_CRC(ib_uverbs_flow_resources_free, 0x615fa494, "");
SYMBOL_CRC(flow_resources_add, 0xac1079f6, "");
SYMBOL_CRC(ib_copy_ah_attr_to_user, 0x9db4dce9, "");
SYMBOL_CRC(ib_copy_qp_attr_to_user, 0x900f675a, "");
SYMBOL_CRC(ib_copy_path_rec_to_user, 0x36c34dc6, "");
SYMBOL_CRC(ib_copy_path_rec_from_user, 0x754b0000, "");
SYMBOL_CRC(uverbs_uobject_put, 0x1d583f05, "");
SYMBOL_CRC(uverbs_try_lock_object, 0x57453711, "");
SYMBOL_CRC(uverbs_idr_class, 0xa0e29363, "");
SYMBOL_CRC(uverbs_uobject_fd_release, 0xeb4040d4, "");
SYMBOL_CRC(uverbs_fd_class, 0x788a03e1, "");
SYMBOL_CRC(uverbs_destroy_def_handler, 0xa0377199, "");
SYMBOL_CRC(_uverbs_alloc, 0xec02eee4, "");
SYMBOL_CRC(uverbs_get_flags64, 0x9b9a4228, "");
SYMBOL_CRC(uverbs_get_flags32, 0x2989f5ea, "");
SYMBOL_CRC(uverbs_copy_to, 0x491936f8, "");
SYMBOL_CRC(_uverbs_get_const_signed, 0x88021599, "");
SYMBOL_CRC(_uverbs_get_const_unsigned, 0x79c73985, "");
SYMBOL_CRC(uverbs_copy_to_struct_or_zero, 0x12fb3348, "");
SYMBOL_CRC(uverbs_finalize_uobj_create, 0xb13952dd, "");
SYMBOL_CRC(ib_umem_find_best_pgsz, 0xa62eb993, "");
SYMBOL_CRC(ib_umem_get, 0x3f820077, "");
SYMBOL_CRC(ib_umem_release, 0x5eb2c209, "");
SYMBOL_CRC(ib_umem_copy_from, 0xe43e659c, "");
SYMBOL_CRC(ib_umem_dmabuf_map_pages, 0x772414cb, "");
SYMBOL_CRC(ib_umem_dmabuf_unmap_pages, 0x88adcb99, "");
SYMBOL_CRC(ib_umem_dmabuf_get, 0x0bed3b64, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned_with_dma_device, 0x2cf803a7, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned, 0xe2c0de15, "");
SYMBOL_CRC(ib_umem_dmabuf_revoke, 0xfb8f1612, "");
SYMBOL_CRC(ib_umem_odp_alloc_implicit, 0xda662343, "");
SYMBOL_CRC(ib_umem_odp_alloc_child, 0x1f1130b1, "");
SYMBOL_CRC(ib_umem_odp_get, 0x867bad64, "");
SYMBOL_CRC(ib_umem_odp_release, 0xf3a30a1e, "");
SYMBOL_CRC(ib_umem_odp_map_dma_and_lock, 0xa00315bd, "");
SYMBOL_CRC(ib_umem_odp_unmap_dma_pages, 0xf73b2666, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x98f103e8, "mutex_lock" },
	{ 0x802289c1, "dma_buf_get" },
	{ 0xf927a5c2, "ib_query_port" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xf07b07f6, "sg_free_append_table" },
	{ 0xf936b5b5, "nla_put" },
	{ 0xb54b8bb3, "ww_mutex_lock" },
	{ 0xa06e0c90, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9460512a, "ib_qp_usecnt_inc" },
	{ 0x64d8ee9e, "dma_buf_put" },
	{ 0x6573f300, "ida_free" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x9672648d, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb16a8439, "cleanup_srcu_struct" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x5e5fc88a, "ib_destroy_qp_user" },
	{ 0x992de6f8, "rdma_nl_get_privileged_qkey" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x71dde11f, "rdma_restrack_set_name" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x478c601c, "rdma_create_user_ah" },
	{ 0xb4d1ce05, "rdma_destroy_ah_user" },
	{ 0x1fb51707, "dma_buf_pin" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x5560f27f, "ib_destroy_cq_user" },
	{ 0xeddd417, "down_read" },
	{ 0x8b68d37b, "__mmdrop" },
	{ 0xff181562, "rdma_restrack_del" },
	{ 0x4b705841, "__xa_cmpxchg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6a2ca380, "set_page_dirty" },
	{ 0x85aea03b, "xa_erase" },
	{ 0xab84944d, "__mmap_lock_do_trace_start_locking" },
	{ 0x8f7afd66, "ib_rdmacg_uncharge" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7230beea, "fdget" },
	{ 0xabf148ea, "igrab" },
	{ 0x6a82df99, "ib_dma_virt_map_sg" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x8eb0dbd0, "mmput" },
	{ 0xf68056a4, "dma_map_sgtable" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x3c453e5f, "xa_destroy" },
	{ 0xf5d073e8, "xa_find" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xce070787, "__tracepoint_mmap_lock_start_locking" },
	{ 0xdee8588d, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1dfec420, "__mmap_lock_do_trace_released" },
	{ 0xc1a94489, "ib_alloc_xrcd_user" },
	{ 0xa8857036, "xa_store" },
	{ 0x2879204f, "__srcu_read_unlock" },
	{ 0x911cb552, "rdma_set_cq_moderation" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xe94b3e7b, "alloc_pages_noprof" },
	{ 0xc61f9b04, "ib_dealloc_xrcd_user" },
	{ 0xf723c08a, "dma_buf_detach" },
	{ 0x22e74d85, "stream_open" },
	{ 0xd7338318, "mmu_interval_notifier_insert" },
	{ 0x559695a6, "mmput_async" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x57121676, "ib_open_qp" },
	{ 0x6a1723ea, "ib_dealloc_pd_user" },
	{ 0x892862d, "rdma_get_gid_attr" },
	{ 0x11101462, "dma_unmap_sg_attrs" },
	{ 0x2f5236f6, "rdma_port_get_link_layer" },
	{ 0x42737b5e, "xa_find_after" },
	{ 0xc84e57fa, "rdma_restrack_new" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0xf72ff253, "rdma_query_gid_table" },
	{ 0x3e8e57ff, "get_task_pid" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x8cfe00a8, "rdma_restrack_put" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xd71e794f, "ib_attach_mcast" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x2a19040b, "rdma_umap_priv_init" },
	{ 0xbb53856b, "up_read" },
	{ 0xcc5d22d9, "can_do_mlock" },
	{ 0x328f8e3b, "ib_destroy_wq_user" },
	{ 0x38e8b4c, "put_pid" },
	{ 0x11eef3ac, "class_register" },
	{ 0xbce7d315, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa3a31fe5, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x3f4eec51, "rdma_user_mmap_entry_put" },
	{ 0x8d68334, "pin_user_pages_fast" },
	{ 0xf520816d, "mmu_interval_notifier_remove" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0xc30ce56f, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x2a01ac28, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0x3cfefafb, "ib_unregister_client" },
	{ 0x16f70e0e, "show_class_attr_string" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xd44d125, "unpin_user_pages_dirty_lock" },
	{ 0x4acb51b, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5c764b57, "dev_set_name" },
	{ 0x2caa7680, "ibdev_warn" },
	{ 0x65b45cb, "complete" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x72ebb7ee, "mmu_interval_read_begin" },
	{ 0x7b459e75, "ib_create_qp_user" },
	{ 0xae339b02, "dma_resv_wait_timeout" },
	{ 0x9821002f, "cdev_device_del" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x5fc9d3f0, "radix_tree_lookup" },
	{ 0x33e34925, "get_pid_task" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x2f486a1c, "kill_fasync" },
	{ 0x82661744, "dma_unmap_page_attrs" },
	{ 0xcd54b3aa, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x9ae61c46, "fget" },
	{ 0xe9005218, "__put_task_struct" },
	{ 0xdca07d0f, "ib_query_srq" },
	{ 0xe5ca4d68, "ww_mutex_unlock" },
	{ 0xa123c836, "device_initialize" },
	{ 0xd4caf936, "__dynamic_ibdev_dbg" },
	{ 0x7712953a, "ib_rdmacg_try_charge" },
	{ 0xa465f71b, "fd_install" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfcd51dc2, "sg_alloc_append_table_from_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0xdcf63cf8, "unpin_user_page_range_dirty_lock" },
	{ 0xb295ef74, "iput" },
	{ 0x73a0673e, "dma_buf_unpin" },
	{ 0x26edc97d, "zap_vma_ptes" },
	{ 0xe8e08bb4, "ib_dereg_mr_user" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x33087666, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xa8cbca2e, "synchronize_srcu" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xe80f503b, "rdma_dev_access_netns" },
	{ 0xa452d354, "get_device" },
	{ 0x263cf185, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xbbb580d6, "__tracepoint_mmap_lock_released" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x96b3e4e0, "down_read_trylock" },
	{ 0xc3159218, "dma_buf_dynamic_attach" },
	{ 0x585273a4, "class_create_file_ns" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x1b5fecd0, "radix_tree_iter_delete" },
	{ 0x8855a6f9, "ib_destroy_srq_user" },
	{ 0x2cff093b, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xde0ed3cb, "hmm_range_fault" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xe48bdab8, "dma_map_page_attrs" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x39a48732, "cdev_device_add" },
	{ 0x6d334118, "__get_user_8" },
	{ 0xb0011d88, "dma_resv_reset_max_fences" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x426dc3e9, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xbc1c93f6, "put_device" },
	{ 0x407384e6, "radix_tree_lookup_slot" },
	{ 0xb3e9e2a5, "ib_modify_qp_with_udata" },
	{ 0x9025a84e, "ib_register_event_handler" },
	{ 0xf99b35b3, "ib_detach_mcast" },
	{ 0x74a288c4, "dma_buf_map_attachment" },
	{ 0xad615052, "const_pcpu_hot" },
	{ 0xfe2fb62a, "__free_pages" },
	{ 0xb7955031, "ib_unregister_event_handler" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7532bfb3, "module_put" },
	{ 0xa995243e, "ib_register_client" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xffd5d2f0, "compat_ptr_ioctl" },
	{ 0xb74d1845, "ib_create_srq_user" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6a4f623b, "mmu_notifier_synchronize" },
	{ 0x6280001b, "__task_pid_nr_ns" },
	{ 0x149909c6, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x60fd0f5f, "init_srcu_struct" },
	{ 0x5913c8e2, "fput" },
	{ 0xff96e399, "ib_set_client_data" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xa426381e, "_dev_err" },
	{ 0xeed7fd81, "up_write" },
	{ 0x4d506a0d, "dma_buf_unmap_attachment" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x1c8b089a, "radix_tree_next_chunk" },
	{ 0x7fd032b8, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0x4e45297a, "rdma_put_gid_attr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x138d06cc, "init_on_alloc" },
	{ 0x2d47464, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "979B2BAA91C3D4BE499C80E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
