#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rdma_event_msg, "", "");
KSYMTAB_FUNC(rdma_reject_msg, "", "");
KSYMTAB_FUNC(rdma_consumer_reject_data, "", "");
KSYMTAB_FUNC(rdma_iw_cm_id, "", "");
KSYMTAB_FUNC(rdma_res_to_id, "", "");
KSYMTAB_FUNC(__rdma_create_kernel_id, "", "");
KSYMTAB_FUNC(rdma_create_user_id, "", "");
KSYMTAB_FUNC(rdma_create_qp, "", "");
KSYMTAB_FUNC(rdma_destroy_qp, "", "");
KSYMTAB_FUNC(rdma_init_qp_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_id, "", "");
KSYMTAB_FUNC(rdma_get_service_id, "", "");
KSYMTAB_FUNC(rdma_read_gids, "", "");
KSYMTAB_FUNC(rdma_set_service_type, "", "");
KSYMTAB_FUNC(rdma_set_ack_timeout, "", "");
KSYMTAB_FUNC(rdma_set_min_rnr_timer, "", "");
KSYMTAB_FUNC(rdma_set_ib_path, "", "");
KSYMTAB_FUNC(rdma_resolve_route, "", "");
KSYMTAB_FUNC(rdma_set_reuseaddr, "", "");
KSYMTAB_FUNC(rdma_set_afonly, "", "");
KSYMTAB_FUNC(rdma_listen, "", "");
KSYMTAB_FUNC(rdma_resolve_addr, "", "");
KSYMTAB_FUNC(rdma_bind_addr, "", "");
KSYMTAB_FUNC(rdma_connect_locked, "", "");
KSYMTAB_FUNC(rdma_connect, "", "");
KSYMTAB_FUNC(rdma_connect_ece, "", "");
KSYMTAB_FUNC(rdma_accept, "", "");
KSYMTAB_FUNC(rdma_accept_ece, "", "");
KSYMTAB_FUNC(rdma_lock_handler, "", "");
KSYMTAB_FUNC(rdma_unlock_handler, "", "");
KSYMTAB_FUNC(rdma_notify, "", "");
KSYMTAB_FUNC(rdma_reject, "", "");
KSYMTAB_FUNC(rdma_disconnect, "", "");
KSYMTAB_FUNC(rdma_join_multicast, "", "");
KSYMTAB_FUNC(rdma_leave_multicast, "", "");

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0x149c609b, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0xa120dcc8, "");
SYMBOL_CRC(rdma_iw_cm_id, 0xb4f90828, "");
SYMBOL_CRC(rdma_res_to_id, 0x5dcb03c3, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0x9fa77b57, "");
SYMBOL_CRC(rdma_create_user_id, 0x34b08e41, "");
SYMBOL_CRC(rdma_create_qp, 0xdfc7d18a, "");
SYMBOL_CRC(rdma_destroy_qp, 0x44717102, "");
SYMBOL_CRC(rdma_init_qp_attr, 0xad4784c4, "");
SYMBOL_CRC(rdma_destroy_id, 0x54f459d6, "");
SYMBOL_CRC(rdma_get_service_id, 0x87c283d6, "");
SYMBOL_CRC(rdma_read_gids, 0x27ad090c, "");
SYMBOL_CRC(rdma_set_service_type, 0xddcbe171, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0x308896bf, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0x5c6353d3, "");
SYMBOL_CRC(rdma_set_ib_path, 0xe73fc373, "");
SYMBOL_CRC(rdma_resolve_route, 0x5aa97c65, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0x49f28829, "");
SYMBOL_CRC(rdma_set_afonly, 0xa26f4963, "");
SYMBOL_CRC(rdma_listen, 0x2353e587, "");
SYMBOL_CRC(rdma_resolve_addr, 0x663f9bb1, "");
SYMBOL_CRC(rdma_bind_addr, 0x67ef1ffa, "");
SYMBOL_CRC(rdma_connect_locked, 0xcd705d19, "");
SYMBOL_CRC(rdma_connect, 0x4469e71b, "");
SYMBOL_CRC(rdma_connect_ece, 0xaf116056, "");
SYMBOL_CRC(rdma_accept, 0xa2705628, "");
SYMBOL_CRC(rdma_accept_ece, 0x479cfbb7, "");
SYMBOL_CRC(rdma_lock_handler, 0x113e9ab1, "");
SYMBOL_CRC(rdma_unlock_handler, 0xe6d10cd1, "");
SYMBOL_CRC(rdma_notify, 0xf2b3e2a2, "");
SYMBOL_CRC(rdma_reject, 0x3616d823, "");
SYMBOL_CRC(rdma_disconnect, 0xe80877bb, "");
SYMBOL_CRC(rdma_join_multicast, 0xd54dd3ed, "");
SYMBOL_CRC(rdma_leave_multicast, 0x8b247d7e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6b17d648, "___ratelimit" },
	{ 0xc1981d87, "iw_cm_connect" },
	{ 0x426dc3e9, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5f0c0ce1, "rdma_addr_cancel" },
	{ 0xb237e1d, "ib_cm_notify" },
	{ 0xa916b694, "strnlen" },
	{ 0xa7b0717e, "ib_sa_get_mcmember_rec" },
	{ 0xad615052, "const_pcpu_hot" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0xa995243e, "ib_register_client" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xd724daf2, "ib_sa_path_rec_get" },
	{ 0x1d490c47, "ib_create_cm_id" },
	{ 0x8c7c37ac, "__ip_mc_dec_group" },
	{ 0x5ab57f41, "vlan_dev_real_dev" },
	{ 0x43eb62e4, "ib_sa_unregister_client" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x22170f70, "perf_trace_run_bpf_submit" },
	{ 0xa97b22ad, "ib_init_ah_from_mcmember" },
	{ 0xb175217d, "rdma_destroy_ah_attr" },
	{ 0xff96e399, "ib_set_client_data" },
	{ 0x3a421e7b, "init_net" },
	{ 0x92b87814, "ib_get_cached_pkey" },
	{ 0x6491e25a, "configfs_register_subsystem" },
	{ 0x3d0e11eb, "configfs_remove_default_groups" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0x4e45297a, "rdma_put_gid_attr" },
	{ 0xa3628f72, "config_group_init_type_name" },
	{ 0x2da23faa, "dev_get_by_index" },
	{ 0x80798fdc, "iw_destroy_cm_id" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8a5827ba, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xb8860974, "ib_send_cm_rep" },
	{ 0x3b39c4bf, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xfbc355c4, "iw_cm_disconnect" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0x848783b6, "bpf_trace_run1" },
	{ 0x5e5fc88a, "ib_destroy_qp_user" },
	{ 0x445ab7c0, "unregister_pernet_subsys" },
	{ 0xef008b52, "ib_cm_init_qp_attr" },
	{ 0xab5bbc4a, "_dev_warn" },
	{ 0x253df4b4, "ib_send_cm_drep" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x71dde11f, "rdma_restrack_set_name" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xb63a4fc9, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0x301dc29d, "ib_get_cached_port_state" },
	{ 0xe455124b, "ib_send_cm_mra" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xff181562, "rdma_restrack_del" },
	{ 0x5512e201, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb815fad1, "__xa_insert" },
	{ 0x85aea03b, "xa_erase" },
	{ 0x474f97be, "bpf_trace_run3" },
	{ 0x4bd8b3f9, "__put_net" },
	{ 0xb7f21bd4, "rdma_restrack_parent_name" },
	{ 0xca6622da, "iw_cm_accept" },
	{ 0x9dd9e320, "trace_event_buffer_reserve" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x3ba2d4b6, "config_item_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xdee8588d, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1eee63cf, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0x4bf9091, "iw_cm_init_qp_attr" },
	{ 0x4388b8e8, "dst_release" },
	{ 0x73aaf4e4, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x715db29b, "ib_send_cm_dreq" },
	{ 0xbf75f61c, "ib_send_cm_req" },
	{ 0x3929db81, "ib_create_qp_kernel" },
	{ 0xb6f9f084, "ib_sa_join_multicast" },
	{ 0x4bfa9684, "roce_gid_type_mask_support" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x892862d, "rdma_get_gid_attr" },
	{ 0xc84e57fa, "rdma_restrack_new" },
	{ 0xa9de9d6f, "__fib_lookup" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xebfb1359, "iw_cm_listen" },
	{ 0xfad582ec, "ib_send_cm_rej" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xaf535531, "rdma_copy_src_l2_addr" },
	{ 0xa3a31fe5, "kmalloc_caches" },
	{ 0xaacdd8f6, "rdma_resolve_ip" },
	{ 0xc9190a79, "ib_send_cm_sidr_req" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xcc901a32, "iw_create_cm_id" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x3cfefafb, "ib_unregister_client" },
	{ 0xc637db21, "netdev_walk_all_lower_dev_rcu" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x24a4c96c, "ib_send_cm_sidr_rep" },
	{ 0x323406fb, "bpf_trace_run4" },
	{ 0x8a59337a, "config_group_init" },
	{ 0x35b55a04, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x896c8775, "rdma_find_gid_by_port" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3f129fb, "trace_raw_output_prep" },
	{ 0xb47bd8a5, "ib_cm_insert_listen" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xcf4add25, "__trace_trigger_soft_disabled" },
	{ 0xa04143dc, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7c8b7816, "ib_sa_register_client" },
	{ 0x7814d608, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x17facc54, "rdma_query_gid" },
	{ 0xfa767b39, "rt6_lookup" },
	{ 0x3f415855, "pcpu_hot" },
	{ 0xb9c81ee9, "rdma_translate_ip" },
	{ 0xf0f62968, "bpf_trace_run2" },
	{ 0xe80f503b, "rdma_dev_access_netns" },
	{ 0x68a93133, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xd84130ed, "ib_destroy_cm_id" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x631d6662, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x62a357c9, "register_pernet_subsys" },
	{ 0x67c9b888, "trace_event_buffer_commit" },
	{ 0x65ceb3a5, "ip_mc_inc_group" },
	{ 0x2cff093b, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xcf6058da, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0x2d47464, "module_layout" },
};

MODULE_INFO(depends, "iw_cm,ib_core,ib_cm,configfs");


MODULE_INFO(srcversion, "13C2F6469B0E8343BBFD221");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
