#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cec_allocate_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_register_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_unregister_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_delete_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_get_edid_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_fill_conn_info_from_drm, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_cec_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_hpd_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_5v_event, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_attempt_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_msg, "_gpl", "");
KSYMTAB_FUNC(cec_received_msg_ts, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr_from_edid, "_gpl", "");
KSYMTAB_FUNC(cec_s_conn_info, "_gpl", "");
KSYMTAB_FUNC(cec_s_log_addrs, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_conn_register, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_conn_unregister, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_cec_adap_register, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_cec_adap_unregister, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_set_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_set_phys_addr_from_edid, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_parse_hdmi_phandle, "_gpl", "");
KSYMTAB_FUNC(cec_pin_changed, "_gpl", "");
KSYMTAB_FUNC(cec_pin_allocate_adapter, "_gpl", "");

SYMBOL_CRC(cec_allocate_adapter, 0xbd95a9f2, "_gpl");
SYMBOL_CRC(cec_register_adapter, 0x1f0115c9, "_gpl");
SYMBOL_CRC(cec_unregister_adapter, 0xd73c6380, "_gpl");
SYMBOL_CRC(cec_delete_adapter, 0x693bac5d, "_gpl");
SYMBOL_CRC(cec_get_edid_phys_addr, 0xbe4de675, "_gpl");
SYMBOL_CRC(cec_fill_conn_info_from_drm, 0x08e4e419, "_gpl");
SYMBOL_CRC(cec_queue_pin_cec_event, 0xf5606817, "_gpl");
SYMBOL_CRC(cec_queue_pin_hpd_event, 0xf4532452, "_gpl");
SYMBOL_CRC(cec_queue_pin_5v_event, 0xf691ed3e, "_gpl");
SYMBOL_CRC(cec_transmit_done_ts, 0x470d05e0, "_gpl");
SYMBOL_CRC(cec_transmit_attempt_done_ts, 0x0b121593, "_gpl");
SYMBOL_CRC(cec_transmit_msg, 0x2f6183a7, "_gpl");
SYMBOL_CRC(cec_received_msg_ts, 0xe6e40cf4, "_gpl");
SYMBOL_CRC(cec_s_phys_addr, 0xe12adefe, "_gpl");
SYMBOL_CRC(cec_s_phys_addr_from_edid, 0x09daf8bb, "_gpl");
SYMBOL_CRC(cec_s_conn_info, 0xcc579fa0, "_gpl");
SYMBOL_CRC(cec_s_log_addrs, 0x33f5e10b, "_gpl");
SYMBOL_CRC(cec_notifier_conn_register, 0x069fd70d, "_gpl");
SYMBOL_CRC(cec_notifier_conn_unregister, 0xaee236c6, "_gpl");
SYMBOL_CRC(cec_notifier_cec_adap_register, 0x0ea32d0c, "_gpl");
SYMBOL_CRC(cec_notifier_cec_adap_unregister, 0xcdf20e22, "_gpl");
SYMBOL_CRC(cec_notifier_set_phys_addr, 0xa01fbb6b, "_gpl");
SYMBOL_CRC(cec_notifier_set_phys_addr_from_edid, 0xb3422b7e, "_gpl");
SYMBOL_CRC(cec_notifier_parse_hdmi_phandle, 0x2d424bf8, "_gpl");
SYMBOL_CRC(cec_pin_changed, 0x853d21df, "_gpl");
SYMBOL_CRC(cec_pin_allocate_adapter, 0x7152b1bc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb76a4e08, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x39a48732, "cdev_device_add" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x663cabf0, "debugfs_create_devm_seqfile" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xbc1c93f6, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc6cbbc89, "capable" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa7c774e4, "rc_keyup" },
	{ 0xc3093370, "bus_unregister" },
	{ 0xa426381e, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x64ac0ca8, "rc_register_device" },
	{ 0x1b6b6da8, "debugfs_remove" },
	{ 0xc4bb01c, "rc_keydown" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x64ad4dbb, "kthread_stop" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd472c72d, "wait_for_completion_killable" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xa9da9962, "rc_free_device" },
	{ 0xfb578fc5, "memset" },
	{ 0xa72ec3e1, "hrtimer_start_range_ns" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2eb688eb, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x86c97d43, "rc_allocate_device" },
	{ 0x375e23a3, "seq_read" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfaea6e54, "param_ops_bool" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xbb39b6bf, "seq_write" },
	{ 0x2ea4b81f, "kobject_set_name" },
	{ 0xdee8588d, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd749ede9, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x13ce80ae, "debugfs_create_file_full" },
	{ 0xfaa5347c, "hrtimer_cancel" },
	{ 0x7dff615a, "single_release" },
	{ 0x21a5637f, "hrtimer_forward" },
	{ 0xeaa66c0f, "param_ops_int" },
	{ 0xe54bf7ee, "single_open" },
	{ 0xf57f48b, "debugfs_create_dir" },
	{ 0x453c9634, "rc_unregister_device" },
	{ 0xbce7d315, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa3a31fe5, "kmalloc_caches" },
	{ 0x117f38c1, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x5c764b57, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0x9821002f, "cdev_device_del" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xa123c836, "device_initialize" },
	{ 0x2a43b1fa, "hrtimer_init" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd02496bf, "seq_lseek" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xa452d354, "get_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2d47464, "module_layout" },
};

MODULE_INFO(depends, "rc-core");


MODULE_INFO(srcversion, "939BFCF94F2B7F994929851");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
