#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cx88_tuner_callback, "", "");
KSYMTAB_FUNC(cx88_setup_xc3028, "_gpl", "");
KSYMTAB_FUNC(cx88_risc_buffer, "", "");
KSYMTAB_FUNC(cx88_risc_databuffer, "", "");
KSYMTAB_DATA(cx88_sram_channels, "", "");
KSYMTAB_FUNC(cx88_sram_channel_setup, "", "");
KSYMTAB_FUNC(cx88_sram_channel_dump, "", "");
KSYMTAB_FUNC(cx88_print_irqbits, "", "");
KSYMTAB_FUNC(cx88_core_irq, "", "");
KSYMTAB_FUNC(cx88_wakeup, "", "");
KSYMTAB_FUNC(cx88_shutdown, "", "");
KSYMTAB_FUNC(cx88_reset, "", "");
KSYMTAB_FUNC(cx88_set_scale, "", "");
KSYMTAB_FUNC(cx88_set_tvnorm, "", "");
KSYMTAB_FUNC(cx88_vdev_init, "", "");
KSYMTAB_FUNC(cx88_core_get, "", "");
KSYMTAB_FUNC(cx88_core_put, "", "");
KSYMTAB_FUNC(cx88_set_tvaudio, "", "");
KSYMTAB_FUNC(cx88_newstation, "", "");
KSYMTAB_FUNC(cx88_get_stereo, "", "");
KSYMTAB_FUNC(cx88_set_stereo, "", "");
KSYMTAB_FUNC(cx88_audio_thread, "", "");
KSYMTAB_FUNC(cx88_dsp_detect_stereo_sap, "", "");
KSYMTAB_FUNC(cx88_ir_start, "", "");
KSYMTAB_FUNC(cx88_ir_stop, "", "");

SYMBOL_CRC(cx88_tuner_callback, 0x6141c8c5, "");
SYMBOL_CRC(cx88_setup_xc3028, 0x86578cbb, "_gpl");
SYMBOL_CRC(cx88_risc_buffer, 0xb188b2a4, "");
SYMBOL_CRC(cx88_risc_databuffer, 0xac0c62df, "");
SYMBOL_CRC(cx88_sram_channels, 0x8d88137a, "");
SYMBOL_CRC(cx88_sram_channel_setup, 0x605a0d9e, "");
SYMBOL_CRC(cx88_sram_channel_dump, 0x4d998d38, "");
SYMBOL_CRC(cx88_print_irqbits, 0x5edb7ae5, "");
SYMBOL_CRC(cx88_core_irq, 0xa67ff460, "");
SYMBOL_CRC(cx88_wakeup, 0xdb023022, "");
SYMBOL_CRC(cx88_shutdown, 0xe1ab5399, "");
SYMBOL_CRC(cx88_reset, 0x6d395248, "");
SYMBOL_CRC(cx88_set_scale, 0x3eef9890, "");
SYMBOL_CRC(cx88_set_tvnorm, 0x6b30b442, "");
SYMBOL_CRC(cx88_vdev_init, 0xcd0ae188, "");
SYMBOL_CRC(cx88_core_get, 0x142051d6, "");
SYMBOL_CRC(cx88_core_put, 0xe844a64e, "");
SYMBOL_CRC(cx88_set_tvaudio, 0xf1acb76f, "");
SYMBOL_CRC(cx88_newstation, 0xb182c5d1, "");
SYMBOL_CRC(cx88_get_stereo, 0xf61cc27a, "");
SYMBOL_CRC(cx88_set_stereo, 0xf0970e02, "");
SYMBOL_CRC(cx88_audio_thread, 0x904b8696, "");
SYMBOL_CRC(cx88_dsp_detect_stereo_sap, 0x03842d5f, "");
SYMBOL_CRC(cx88_ir_start, 0xc6fe1590, "");
SYMBOL_CRC(cx88_ir_stop, 0x36ed7894, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0x11766b8d, "i2c_transfer_buffer_flags" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdc14eda7, "pci_pci_problems" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa916b694, "strnlen" },
	{ 0xf848cefd, "i2c_smbus_xfer" },
	{ 0xad615052, "const_pcpu_hot" },
	{ 0x49db0a5c, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xa7c774e4, "rc_keyup" },
	{ 0xbd5da153, "__v4l2_ctrl_grab" },
	{ 0x892ddd23, "i2c_unregister_device" },
	{ 0x59976df5, "tveeprom_read" },
	{ 0xdad14e12, "rc_keydown_notimeout" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x64ac0ca8, "rc_register_device" },
	{ 0xe8672e1e, "dma_alloc_attrs" },
	{ 0xc4bb01c, "rc_keydown" },
	{ 0xefac79e8, "vb2_buffer_done" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x299bc88, "i2c_new_client_device" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x4d1ae71a, "freezing_slow_path" },
	{ 0xa9da9962, "rc_free_device" },
	{ 0xa72ec3e1, "hrtimer_start_range_ns" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d79bc6a, "v4l2_device_register" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x86c97d43, "rc_allocate_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb55213b, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xdee8588d, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf2a353ac, "v4l2_i2c_tuner_addrs" },
	{ 0x23940b72, "v4l2_ctrl_handler_free" },
	{ 0xc848cd65, "i2c_transfer" },
	{ 0xfaa5347c, "hrtimer_cancel" },
	{ 0x46210132, "v4l2_device_unregister" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0x21a5637f, "hrtimer_forward" },
	{ 0xf76abcd9, "v4l2_i2c_new_subdev" },
	{ 0xe0c20732, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0xeaa66c0f, "param_ops_int" },
	{ 0x3a7c365f, "ir_raw_event_store_with_filter" },
	{ 0xc1a03879, "i2c_smbus_read_byte_data" },
	{ 0x9b3d6f3e, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0x453c9634, "rc_unregister_device" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa3a31fe5, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xf3251e7b, "v4l2_norm_to_name" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xf69de135, "ir_raw_event_handle" },
	{ 0x8e988874, "param_ops_uint" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x472e0713, "i2c_bit_add_bus" },
	{ 0x56e8c355, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0x2a43b1fa, "hrtimer_init" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xcdc3683f, "param_array_ops" },
	{ 0x2d47464, "module_layout" },
};

MODULE_INFO(depends, "rc-core,videodev,tveeprom,videobuf2-common,i2c-algo-bit");


MODULE_INFO(srcversion, "589AC743322CBC1653CD124");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
