#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ice_xdp_locking_key, "", "");
KSYMTAB_FUNC(ice_add_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_del_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_request_reset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_update_vsi_filter, "_gpl", "");
KSYMTAB_FUNC(ice_get_qos_params, "_gpl", "");

SYMBOL_CRC(ice_xdp_locking_key, 0x965ff908, "");
SYMBOL_CRC(ice_add_rdma_qset, 0xcccae0e9, "_gpl");
SYMBOL_CRC(ice_del_rdma_qset, 0xb972bbf2, "_gpl");
SYMBOL_CRC(ice_rdma_request_reset, 0xfc602b17, "_gpl");
SYMBOL_CRC(ice_rdma_update_vsi_filter, 0x531877bc, "_gpl");
SYMBOL_CRC(ice_get_qos_params, 0x4a2365f9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcfd1e7df, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x28337e3f, "netif_set_xps_queue" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x402811e6, "__SCK__tp_func_xdp_exception" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x648ff8ff, "netif_tx_stop_all_queues" },
	{ 0xc652d427, "pci_restore_state" },
	{ 0x848783b6, "bpf_trace_run1" },
	{ 0x5146117a, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x13fe227f, "device_del" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x8229edd3, "dcb_getapp" },
	{ 0xf6b39903, "dmam_free_coherent" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0xab5bbc4a, "_dev_warn" },
	{ 0xc2c06219, "flow_rule_match_ports" },
	{ 0x5450d8bf, "gnss_allocate_device" },
	{ 0xa73dee82, "dpll_netdev_pin_set" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x8bf7f45c, "ptp_clock_event" },
	{ 0x91782581, "rht_bucket_nested_insert" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0x63dc18d2, "netif_schedule_queue" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xe0a35e90, "pci_set_master" },
	{ 0xd97785b7, "dpll_device_unregister" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x60a2a10a, "flow_rule_match_ipv6_addrs" },
	{ 0x2720534d, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xb8f1a4a6, "devl_params_unregister" },
	{ 0x28f25a82, "ptp_clock_unregister" },
	{ 0xc937ebc3, "__pskb_pull_tail" },
	{ 0xc9177b0d, "xp_dma_unmap" },
	{ 0x36b24500, "dpll_pin_put" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xb917289f, "rhashtable_destroy" },
	{ 0x7c67a550, "switchdev_handle_port_obj_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x19364119, "devl_unlock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xd376138a, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7a1600db, "dma_set_coherent_mask" },
	{ 0xb815fad1, "__xa_insert" },
	{ 0x85aea03b, "xa_erase" },
	{ 0xf9d1cd5a, "flow_rule_match_pppoe" },
	{ 0xb8825581, "pv_ops" },
	{ 0x1eadd541, "flow_rule_match_enc_control" },
	{ 0x474f97be, "bpf_trace_run3" },
	{ 0x375e23a3, "seq_read" },
	{ 0x694076e1, "__page_frag_cache_drain" },
	{ 0x167b0233, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xffb17d6f, "_dev_notice" },
	{ 0x10e604c, "gnss_deregister_device" },
	{ 0xda2ca691, "rps_may_expire_flow" },
	{ 0x57809133, "metadata_dst_free" },
	{ 0xd744e7d6, "xsk_set_tx_need_wakeup" },
	{ 0x7266f49c, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xfc4c780f, "netdev_reset_tc" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xa6ab9899, "rhashtable_init_noprof" },
	{ 0x9dd9e320, "trace_event_buffer_reserve" },
	{ 0x52ba2a0c, "kthread_destroy_worker" },
	{ 0x33083e1d, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x6fa643b4, "flow_rule_match_enc_ports" },
	{ 0x90c11e40, "xdp_return_frame_bulk" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x84ce62aa, "dpll_netdev_pin_clear" },
	{ 0x18d0f081, "netif_queue_set_napi" },
	{ 0x8ddcda13, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3c453e5f, "xa_destroy" },
	{ 0xc2d09ebc, "call_netdevice_notifiers" },
	{ 0xf5d073e8, "xa_find" },
	{ 0xef4e9e45, "devl_assert_locked" },
	{ 0xa79accb8, "pcie_print_link_status" },
	{ 0x12169a7e, "xp_set_rxq_info" },
	{ 0x4f641afe, "flow_rule_match_vlan" },
	{ 0xa606558b, "devl_port_unregister" },
	{ 0x234a125e, "xdp_rxq_info_unreg" },
	{ 0xb51a9f7c, "pci_dev_get" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x353b357b, "napi_build_skb" },
	{ 0x8e05448b, "netdev_master_upper_dev_get_rcu" },
	{ 0x4ab4c448, "__xdp_rxq_info_reg" },
	{ 0xdee8588d, "__kmalloc_cache_noprof" },
	{ 0x26521801, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd3117ac5, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd749ede9, "seq_printf" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x298ad3b1, "dpll_pin_register" },
	{ 0xccef9aef, "gnss_register_device" },
	{ 0xa8857036, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x87a2e613, "devlink_priv" },
	{ 0xe0419ac4, "kstrtos16" },
	{ 0x3d5c6bc5, "__hw_addr_sync_dev" },
	{ 0x8c79622d, "pci_disable_sriov" },
	{ 0xa1fc86a3, "pldmfw_flash_image" },
	{ 0x15eefb04, "kthread_queue_delayed_work" },
	{ 0x36a50913, "metadata_dst_alloc" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x4388b8e8, "dst_release" },
	{ 0x460aa39e, "netif_carrier_on" },
	{ 0xd1f183dc, "netdev_set_num_tc" },
	{ 0x721a74be, "dpll_device_register" },
	{ 0x373b0d5, "dql_reset" },
	{ 0xae5c4c8, "hwmon_device_unregister" },
	{ 0x13ce80ae, "debugfs_create_file_full" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xad1dffea, "dev_uc_add_excl" },
	{ 0x38194a3e, "boot_cpu_data" },
	{ 0x6abed0b, "xp_free" },
	{ 0xf245bc0e, "dev_mc_add_excl" },
	{ 0x1811cb6f, "gnss_put_device" },
	{ 0x7dff615a, "single_release" },
	{ 0xc458ba27, "dma_set_mask" },
	{ 0x8f665760, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x16a29b5b, "netif_set_tso_max_size" },
	{ 0xc3ac197f, "__skb_flow_dissect" },
	{ 0x12d37b1, "vlan_dev_vlan_id" },
	{ 0xe8b3af44, "pci_msix_alloc_irq_at" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x1ee00c75, "libie_rx_pt_lut" },
	{ 0x2248f7f4, "skb_add_rx_frag_netmem" },
	{ 0x42737b5e, "xa_find_after" },
	{ 0x66f4f669, "pcim_iomap_table" },
	{ 0xbc3348c2, "xdp_master_redirect" },
	{ 0xfa09c855, "__devm_add_action" },
	{ 0xf6f4c366, "dpll_pin_on_pin_register" },
	{ 0x4275a9be, "napi_schedule_prep" },
	{ 0x5509d0f3, "napi_consume_skb" },
	{ 0xe0c20732, "pci_read_config_byte" },
	{ 0x6a540202, "xp_alloc_batch" },
	{ 0x754d539c, "strlen" },
	{ 0x2f94ecd, "napi_disable" },
	{ 0xa43128f, "dev_kfree_skb_any_reason" },
	{ 0xd7e1b959, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xeaa66c0f, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe54bf7ee, "single_open" },
	{ 0xfac6f5db, "pcim_enable_device" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x12bae44, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0xf57f48b, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xe4934d17, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x563e9564, "flow_rule_match_control" },
	{ 0x76e12a66, "flow_rule_match_ip" },
	{ 0xbb927be1, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x26dded07, "dpll_device_get" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x1b4630e5, "dcb_ieee_setapp" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xd37dac5c, "ethtool_op_get_ts_info" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa3a31fe5, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xf3c37c9d, "netdev_info" },
	{ 0xec098d73, "skb_dump" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xeaaa851b, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x56d67cf, "__tracepoint_xdp_exception" },
	{ 0x50db53, "xsk_tx_completed" },
	{ 0xfdad2ba6, "napi_alloc_skb" },
	{ 0x35bd28c8, "alloc_etherdev_mqs" },
	{ 0x3153adb4, "netdev_lower_get_next" },
	{ 0xca92c640, "flow_block_cb_lookup" },
	{ 0xd8acbfca, "pci_save_state" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x3ea809ec, "devl_rate_leaf_create" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0xa24571f8, "device_set_wakeup_enable" },
	{ 0x96cded74, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x482dc06f, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x4e3bc9e, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x63735cb8, "pci_find_ext_capability" },
	{ 0xf730afac, "kthread_create_worker" },
	{ 0x876a3c98, "bpf_prog_put" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x873b7852, "devl_region_create" },
	{ 0x6203bb53, "xp_dma_map" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x8833de9a, "skb_copy_bits" },
	{ 0xdfb800d9, "idr_find" },
	{ 0x6a52e826, "devm_request_threaded_irq" },
	{ 0x6165e288, "kthread_cancel_delayed_work_sync" },
	{ 0xa331c6da, "dpll_device_change_ntf" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc47cdb27, "devm_kmalloc" },
	{ 0x63e3e306, "pci_wake_from_d3" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xa1135f4c, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xeb08f9c5, "call_switchdev_notifiers" },
	{ 0x9bfb279e, "flow_indr_dev_register" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xe881e4af, "firmware_request_nowarn" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xabdeeb7e, "ethtool_forced_speed_maps_init" },
	{ 0xa31ebdc2, "auxiliary_device_init" },
	{ 0xa8f186e0, "pci_enable_device_mem" },
	{ 0xc686b469, "consume_skb" },
	{ 0xf86f560, "kthread_delayed_work_timer_fn" },
	{ 0xbb44d3d2, "flow_rule_match_enc_ip" },
	{ 0xb0e602eb, "memmove" },
	{ 0xdffdfd94, "pci_alloc_irq_vectors" },
	{ 0x72600140, "flow_rule_match_l2tpv3" },
	{ 0xc3e7a5a8, "netif_napi_add_weight" },
	{ 0x427525c1, "dpll_pin_change_ntf" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x13ffbe5a, "xsk_tx_peek_release_desc_batch" },
	{ 0x931b89f4, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3d6564af, "dmam_alloc_attrs" },
	{ 0x3f129fb, "trace_raw_output_prep" },
	{ 0xd78ab0dd, "devl_lock" },
	{ 0xe0c1e010, "pci_dev_put" },
	{ 0xb9335405, "xp_fill_cb" },
	{ 0xb5bc009f, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x6ecda98, "ndo_dflt_bridge_getlink" },
	{ 0xc7910143, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xd0e493ac, "dpll_device_put" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xd0875b35, "dpll_pin_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x1e05508b, "xdp_features_set_redirect_target" },
	{ 0xcf4add25, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xc3f254a8, "pci_get_device" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x82661744, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x37aadeb3, "request_firmware" },
	{ 0xa04143dc, "trace_event_printf" },
	{ 0x5a77cfc4, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0x8a94733d, "flow_rule_match_cvlan" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x84b692e0, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xb5ed3252, "gnss_insert_raw" },
	{ 0x5113087a, "pci_num_vf" },
	{ 0x4095c4b5, "flow_rule_match_eth_addrs" },
	{ 0x839b8198, "get_device_system_crosststamp" },
	{ 0x77baa59b, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xecb4daed, "ptp_clock_index" },
	{ 0x7814d608, "trace_event_raw_init" },
	{ 0xb9d272b6, "devl_port_fn_devlink_set" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd20fe853, "xp_can_alloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xd97f3fd6, "devlink_alloc_ns" },
	{ 0x5687b9a4, "devl_rate_leaf_destroy" },
	{ 0x3f415855, "pcpu_hot" },
	{ 0x19e1883c, "xdp_do_redirect" },
	{ 0xe273d56f, "devlink_free" },
	{ 0x21f6078e, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf0f62968, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xbb05f6bc, "devl_rate_node_create" },
	{ 0x25e4d0d, "netdev_warn" },
	{ 0x820a2108, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xcb4e8c29, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x7245eb3d, "devl_rate_nodes_destroy" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x69b55e8e, "pci_irq_vector" },
	{ 0x69da5e7e, "flow_rule_match_ipv4_addrs" },
	{ 0xa249bb7b, "__netif_napi_del" },
	{ 0xefda8e9a, "dpll_pin_on_pin_unregister" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xd4a89653, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x94cbab20, "netdev_state_change" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x1b85f884, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xdc9a4ef7, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb80b9311, "pskb_expand_head" },
	{ 0xd9496014, "switchdev_handle_port_attr_set" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x3aba2497, "devlink_flash_update_status_notify" },
	{ 0x9003c270, "dev_driver_string" },
	{ 0xcbfab04c, "pci_restore_msi_state" },
	{ 0x67c9b888, "trace_event_buffer_commit" },
	{ 0x47f65f94, "xdp_return_buff" },
	{ 0x65043152, "dev_addr_mod" },
	{ 0xe33cd917, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xa816473b, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x7baec934, "auxiliary_driver_unregister" },
	{ 0xe48bdab8, "dma_map_page_attrs" },
	{ 0x5fb8648f, "napi_complete_done" },
	{ 0x7a4171c9, "switchdev_handle_port_obj_del" },
	{ 0xede05451, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0xfc2b8ea2, "priv_to_devlink" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x98c0879e, "dpll_pin_get" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xab8e3733, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xbc1c93f6, "put_device" },
	{ 0xf5ebecaf, "devm_free_irq" },
	{ 0x8ee8543e, "net_dim" },
	{ 0xc263e2c9, "__napi_schedule" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xb9600807, "ipv6_skip_exthdr" },
	{ 0x448619b2, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x9eb63647, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x4f4c0359, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0xfe2fb62a, "__free_pages" },
	{ 0x7e59cb87, "__hw_addr_unsync_dev" },
	{ 0xd1d3230a, "_dev_info" },
	{ 0xfd193c9d, "napi_gro_receive" },
	{ 0xe45c2fd0, "netif_device_attach" },
	{ 0xeb2c4caf, "xdp_features_clear_redirect_target" },
	{ 0xfb7a6608, "netdev_pick_tx" },
	{ 0x6d7a197c, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x92347955, "xp_raw_get_dma" },
	{ 0x9004a681, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x96283ac8, "pci_iov_virtfn_devfn" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xab81409d, "xdp_rxq_info_is_reg" },
	{ 0xeaf66f7, "flow_rule_match_enc_opts" },
	{ 0x8e82eb08, "flow_block_cb_setup_simple" },
	{ 0x5e972113, "pci_msix_can_alloc_dyn" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x1e5f0c8d, "flow_rule_match_basic" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x86863f5e, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xeaa65ce6, "pcim_iomap_regions" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x149909c6, "__xa_alloc" },
	{ 0x5ab57f41, "vlan_dev_real_dev" },
	{ 0xbca9a756, "pci_clear_master" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x9d320bb5, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x488f78b8, "devm_kmemdup" },
	{ 0x50923c02, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x22170f70, "perf_trace_run_bpf_submit" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x65ea0174, "devlink_flash_update_timeout_notify" },
	{ 0x788fe7f3, "devm_kfree" },
	{ 0xa426381e, "_dev_err" },
	{ 0x3a421e7b, "init_net" },
	{ 0xec31b3a7, "softnet_data" },
	{ 0x3ab6bbed, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xbb1d561a, "xdp_return_frame" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0x2fc3c872, "ptp_clock_register" },
	{ 0x10ba79f0, "devl_nested_devlink_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xf4d1eae2, "hwmon_device_register_with_info" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x7e966db1, "netif_set_real_num_tx_queues" },
	{ 0x88f6dcf, "__auxiliary_device_add" },
	{ 0x9165578e, "pldmfw_op_pci_match_record" },
	{ 0xc16be39d, "iter_div_u64_rem" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0x83ac567e, "netif_set_real_num_rx_queues" },
	{ 0xfecc63c3, "flow_indr_block_cb_alloc" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xe4155056, "devl_port_register_with_ops" },
	{ 0x5dc4f02e, "pci_wait_for_pending_transaction" },
	{ 0x4da65bf5, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xe35aa255, "pci_device_is_present" },
	{ 0x1b6b6da8, "debugfs_remove" },
	{ 0xebca925e, "pci_read_config_word" },
	{ 0xb8211399, "pcie_flr" },
	{ 0x3373aa86, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x13fb2fae, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0xeb9d4fb4, "dcbnl_ieee_notify" },
	{ 0xf1883797, "xsk_uses_need_wakeup" },
	{ 0xfaa6ac43, "register_netdev" },
	{ 0xb5543762, "dev_mc_del" },
	{ 0x3b39c4bf, "trace_event_reg" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0x1741843a, "free_netdev" },
	{ 0x633ddd88, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5f6ef9c5, "devl_params_register" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x2d47464, "module_layout" },
};

MODULE_INFO(depends, "gnss,libie");

MODULE_ALIAS("auxiliary:ice.sf");
MODULE_ALIAS("pci:v00008086d00001591sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001599sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001890sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001891sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001892sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001893sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001894sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001897sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001898sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001899sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000189Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000151Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001888sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DEsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "FDEEF28C9870D87F8CC58E7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
