#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_reconfigure, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_DATA(fat_param_spec, "_gpl", "");
KSYMTAB_FUNC(fat_parse_param, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(fat_init_fs_context, "_gpl", "");
KSYMTAB_FUNC(fat_free_fc, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0xb86557d2, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0x341c8d4a, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0x85f503fd, "_gpl");
SYMBOL_CRC(fat_scan, 0xbb1d7a0d, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0x7c44cf89, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0xacb81bd3, "_gpl");
SYMBOL_CRC(fat_add_entries, 0x7e4c1b46, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0xba066a81, "_gpl");
SYMBOL_CRC(fat_getattr, 0x624d220b, "_gpl");
SYMBOL_CRC(fat_setattr, 0x87f8a8f1, "_gpl");
SYMBOL_CRC(fat_attach, 0x73c6dcfc, "_gpl");
SYMBOL_CRC(fat_detach, 0x222ef4ef, "_gpl");
SYMBOL_CRC(fat_build_inode, 0x261aec57, "_gpl");
SYMBOL_CRC(fat_reconfigure, 0x71eca97e, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0xb2791fa7, "_gpl");
SYMBOL_CRC(fat_param_spec, 0xe5e33b08, "_gpl");
SYMBOL_CRC(fat_parse_param, 0x2ded62a5, "_gpl");
SYMBOL_CRC(fat_fill_super, 0x365c0068, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0x1358c0f0, "_gpl");
SYMBOL_CRC(fat_init_fs_context, 0xc7213e4e, "_gpl");
SYMBOL_CRC(fat_free_fc, 0xe899f540, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0x4d2d8443, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0x78f8645e, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0x2bcbb0b8, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0x30bf0258, "_gpl");
SYMBOL_CRC(fat_update_time, 0x27ad053e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdabc9be3, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0xecc99431, "block_invalidate_folio" },
	{ 0xfd28b961, "__breadahead" },
	{ 0x73365833, "generic_write_end" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3d7d3cd9, "load_nls" },
	{ 0xf5795349, "generic_cont_expand_simple" },
	{ 0x5ff03794, "truncate_inode_pages_final" },
	{ 0x9664cedf, "generic_file_mmap" },
	{ 0x1c779dea, "sync_mapping_buffers" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xad615052, "const_pcpu_hot" },
	{ 0x9a3d6913, "ilookup" },
	{ 0xbafb2ddd, "invalidate_inode_buffers" },
	{ 0x610c8ac0, "blk_finish_plug" },
	{ 0x5551c046, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7b00a5df, "mnt_drop_write_file" },
	{ 0x795a472e, "fs_param_is_gid" },
	{ 0x30a8df39, "inode_init_once" },
	{ 0xffd5d2f0, "compat_ptr_ioctl" },
	{ 0x4016d367, "__fsnotify_parent" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0xb6d3d85b, "__brelse" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xeed7fd81, "up_write" },
	{ 0xe5357429, "generic_file_read_iter" },
	{ 0xa90dcd26, "inode_maybe_inc_iversion" },
	{ 0x5f796d0f, "truncate_pagecache" },
	{ 0xc21fe183, "sync_dirty_buffer" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xa99e7713, "setattr_copy" },
	{ 0x6b79fe91, "__wait_on_buffer" },
	{ 0xeb887c74, "set_nlink" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x75c1cdaa, "kmem_cache_alloc_lru_noprof" },
	{ 0x3a0c6d7, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x5a921311, "strncmp" },
	{ 0x22f37086, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x361f92a2, "from_vfsgid" },
	{ 0x33bae0cd, "write_inode_now" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xc9efd1a0, "d_obtain_alias" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xacb269a6, "__bread_gfp" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbd86efa1, "block_dirty_folio" },
	{ 0xe5d2d43b, "mpage_read_folio" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xfbd31a5e, "__insert_inode_hash" },
	{ 0xcf831269, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb778bc92, "kmem_cache_alloc_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x428fc172, "__kmem_cache_create_args" },
	{ 0xedb16ff6, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeddd417, "down_read" },
	{ 0x49f9f5e3, "truncate_setsize" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc6a77e93, "generic_encode_ino32_fh" },
	{ 0xd526c4e0, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xabf148ea, "igrab" },
	{ 0xcb0bc32, "generic_read_dir" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x97a9ac39, "mpage_readahead" },
	{ 0x1263e869, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0x7567a110, "init_user_ns" },
	{ 0xbb39b6bf, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xdee8588d, "__kmalloc_cache_noprof" },
	{ 0xd749ede9, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xac96b6df, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xf805b42d, "blkdev_issue_flush" },
	{ 0x851b935f, "generic_fh_to_parent" },
	{ 0xc024367, "__fs_parse" },
	{ 0x7d1d0620, "filemap_splice_read" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xfebc3194, "from_kuid_munged" },
	{ 0xb406d1d7, "__generic_file_fsync" },
	{ 0xfce86f19, "d_parent_ino" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x3ad260e3, "__mark_inode_dirty" },
	{ 0xb0e7ae93, "generic_file_llseek" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x94a4bd47, "unload_nls" },
	{ 0xbb53856b, "up_read" },
	{ 0x66dc7f99, "mark_buffer_dirty_inode" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x79c9724a, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa3a31fe5, "kmalloc_caches" },
	{ 0x1f5c9dfa, "inode_set_ctime_to_ts" },
	{ 0x834ad83a, "fs_param_is_uid" },
	{ 0xaa34d0c5, "kmem_cache_destroy" },
	{ 0x7f840978, "blkdev_issue_discard" },
	{ 0x6a452fd4, "filemap_fdatawrite" },
	{ 0x8bbfe00a, "generic_fillattr" },
	{ 0x47637e9d, "setattr_prepare" },
	{ 0xfce6be8b, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0xffe106d, "sync_blockdev_nowait" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x38524ba1, "make_vfsgid" },
	{ 0x1136183d, "blk_start_plug" },
	{ 0x743787af, "clear_inode" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x257deb66, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x8fea3426, "fs_param_is_string" },
	{ 0xb958c822, "new_inode" },
	{ 0xaed2cbea, "mark_buffer_dirty" },
	{ 0x7f545013, "security_inode_setattr" },
	{ 0x176fbec, "__find_get_block" },
	{ 0x71bfd4da, "filemap_fdatawrite_range" },
	{ 0x34cf9e54, "inode_needs_sync" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x2fa8ce05, "__blockdev_direct_IO" },
	{ 0x76aa314f, "d_make_root" },
	{ 0x10a55881, "__bforget" },
	{ 0xa8219257, "sb_set_blocksize" },
	{ 0x20fbbd8d, "block_truncate_page" },
	{ 0xf21ebd86, "write_dirty_buffer" },
	{ 0x4264e1c0, "sync_filesystem" },
	{ 0xd058b1a0, "fsnotify" },
	{ 0x9a7210f1, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf4693de4, "from_vfsuid" },
	{ 0xed1c052d, "inode_dio_wait" },
	{ 0x80af2f8, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0xb5d84e04, "cont_write_begin" },
	{ 0xb295ef74, "iput" },
	{ 0x8ae70b1b, "fs_param_is_enum" },
	{ 0x2bebd652, "fs_param_is_s32" },
	{ 0x92b95053, "iter_file_splice_write" },
	{ 0x88d1a789, "fs_param_is_bool" },
	{ 0xefa61e51, "generic_file_write_iter" },
	{ 0x3f19907a, "sync_inode_metadata" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4c6d5292, "make_vfsuid" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xe80898e, "fs_param_is_u32" },
	{ 0x2d47464, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3EB4BC9B3B21FDF6859C3EA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
