#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ax25_bcast, "_gpl", "");
KSYMTAB_DATA(ax25_defaddr, "_gpl", "");
KSYMTAB_DATA(null_ax25_address, "", "");
KSYMTAB_FUNC(ax2asc, "", "");
KSYMTAB_FUNC(asc2ax, "", "");
KSYMTAB_FUNC(ax25cmp, "", "");
KSYMTAB_FUNC(ax25_register_pid, "_gpl", "");
KSYMTAB_FUNC(ax25_protocol_release, "", "");
KSYMTAB_FUNC(ax25_linkfail_register, "", "");
KSYMTAB_FUNC(ax25_linkfail_release, "", "");
KSYMTAB_FUNC(ax25_listen_register, "", "");
KSYMTAB_FUNC(ax25_listen_release, "", "");
KSYMTAB_DATA(ax25_header_ops, "", "");
KSYMTAB_FUNC(ax25_ip_xmit, "", "");
KSYMTAB_FUNC(ax25_send_frame, "", "");
KSYMTAB_FUNC(ax25_display_timer, "", "");
KSYMTAB_DATA(ax25_uid_policy, "", "");
KSYMTAB_FUNC(ax25_findbyuid, "", "");
KSYMTAB_FUNC(ax25_find_cb, "", "");

SYMBOL_CRC(ax25_bcast, 0xac93ae05, "_gpl");
SYMBOL_CRC(ax25_defaddr, 0xaeb7451e, "_gpl");
SYMBOL_CRC(null_ax25_address, 0xd43ecbf1, "");
SYMBOL_CRC(ax2asc, 0x53dea1ff, "");
SYMBOL_CRC(asc2ax, 0x4502c65a, "");
SYMBOL_CRC(ax25cmp, 0xc1444946, "");
SYMBOL_CRC(ax25_register_pid, 0x4de2b4a6, "_gpl");
SYMBOL_CRC(ax25_protocol_release, 0x8ede9e26, "");
SYMBOL_CRC(ax25_linkfail_register, 0xb264032e, "");
SYMBOL_CRC(ax25_linkfail_release, 0x5076d4b3, "");
SYMBOL_CRC(ax25_listen_register, 0x38d5f709, "");
SYMBOL_CRC(ax25_listen_release, 0xc0144126, "");
SYMBOL_CRC(ax25_header_ops, 0x848fedab, "");
SYMBOL_CRC(ax25_ip_xmit, 0x981a801d, "");
SYMBOL_CRC(ax25_send_frame, 0x0e121649, "");
SYMBOL_CRC(ax25_display_timer, 0x14cecd59, "");
SYMBOL_CRC(ax25_uid_policy, 0x242852b9, "");
SYMBOL_CRC(ax25_findbyuid, 0xee02e420, "");
SYMBOL_CRC(ax25_find_cb, 0x0bd0b4a7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x35b11056, "_raw_read_unlock_bh" },
	{ 0xbf919a59, "_raw_read_lock_bh" },
	{ 0x3f415855, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xce56ce8c, "_raw_write_unlock_bh" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8d0cb2f7, "skb_queue_purge_reason" },
	{ 0x5dc88e6c, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0xa34bf51a, "proto_unregister" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x1000e51, "schedule" },
	{ 0xea48ded3, "sock_register" },
	{ 0xba171cc5, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x52c14c44, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0x8d377efe, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xad615052, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xfdadabd8, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd91c7951, "skb_queue_tail" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xcf1f5b5f, "dev_get_by_name_rcu" },
	{ 0x3a421e7b, "init_net" },
	{ 0xa557a7e1, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x61f9ea0a, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf5f1e8, "dev_remove_pack" },
	{ 0x7d8e1e43, "sk_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xff99d27f, "_raw_write_lock" },
	{ 0x5717e959, "skb_push" },
	{ 0xf88ebba8, "seq_putc" },
	{ 0x543ef284, "seq_hlist_start" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xab5bcd0, "_raw_read_unlock" },
	{ 0xcc63469e, "_raw_write_unlock" },
	{ 0x2a9b98a1, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd5fa38e5, "skb_copy_datagram_iter" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xce84d106, "__skb_wait_for_more_packets" },
	{ 0x1d8802b, "sk_alloc" },
	{ 0x431f9e39, "sock_no_socketpair" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xf5953488, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7e59a1fe, "sock_no_mmap" },
	{ 0x8cdfe3fe, "netif_rx" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x78b0aee5, "sock_rfree" },
	{ 0xdb7ca776, "sock_i_ino" },
	{ 0x7266f49c, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x57e24a2, "skb_set_owner_w" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0xf1b7d0e5, "sock_alloc_send_pskb" },
	{ 0xbb39b6bf, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x279c8add, "remove_proc_entry" },
	{ 0xdee8588d, "__kmalloc_cache_noprof" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd749ede9, "seq_printf" },
	{ 0xafd914f1, "skb_copy" },
	{ 0xefd26251, "skb_clone" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x6f998821, "_copy_from_iter" },
	{ 0xbcdd3814, "_raw_read_lock" },
	{ 0xccbe089a, "sock_gettstamp" },
	{ 0x371d572, "send_sig" },
	{ 0x9c4672d9, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xfebc3194, "from_kuid_munged" },
	{ 0x8b4c7299, "iov_iter_revert" },
	{ 0x51753a03, "proc_create_seq_private" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xd424e46c, "sock_init_data" },
	{ 0xa3a31fe5, "kmalloc_caches" },
	{ 0x137a1876, "release_sock" },
	{ 0x3f62fe13, "skb_queue_head" },
	{ 0xf03ef1fc, "proc_dointvec_minmax" },
	{ 0xf59f337f, "security_sock_graft" },
	{ 0x63fd4b93, "skb_free_datagram" },
	{ 0x7d53e70a, "sock_queue_rcv_skb_reason" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x96596489, "skb_put" },
	{ 0xfac3ebd6, "skb_expand_head" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc7dea9d2, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb839f4ec, "skb_dequeue" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x2e332034, "_raw_write_lock_bh" },
	{ 0x98d30401, "__skb_try_recv_datagram" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2d47464, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E5B6B53B8C246D89422BF3E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
