#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(esp_output_head, "_gpl", "");
KSYMTAB_FUNC(esp_output_tail, "_gpl", "");
KSYMTAB_FUNC(esp_input_done2, "_gpl", "");

SYMBOL_CRC(esp_output_head, 0xd201291f, "_gpl");
SYMBOL_CRC(esp_output_tail, 0x674d85f0, "_gpl");
SYMBOL_CRC(esp_input_done2, 0xe78d5eb0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfde8a8ef, "crypto_aead_setkey" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x7ec3d6c2, "xfrm_state_lookup" },
	{ 0xa3ef8759, "ipv4_redirect" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x98fdb713, "__xfrm_state_destroy" },
	{ 0x42f9fd4d, "ipv4_update_pmtu" },
	{ 0xec098d73, "skb_dump" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xe229fc1c, "napi_pp_put_page" },
	{ 0xcee3101a, "__put_devmap_managed_folio_refs" },
	{ 0x4659c213, "__folio_put" },
	{ 0x37a0cba, "kfree" },
	{ 0x7d8e1e43, "sk_free" },
	{ 0x8833de9a, "skb_copy_bits" },
	{ 0x1987a091, "km_new_mapping" },
	{ 0xe25e4492, "skb_pull_rcsum" },
	{ 0xbeec20b6, "skb_checksum" },
	{ 0xe45515d0, "___pskb_trim" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4d00252a, "xfrm_input_resume" },
	{ 0x6765d15d, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf549ea4a, "skb_to_sgvec" },
	{ 0xd94779e3, "crypto_aead_decrypt" },
	{ 0x5717e959, "skb_push" },
	{ 0xc937ebc3, "__pskb_pull_tail" },
	{ 0x83a2762e, "xfrm_dev_resume" },
	{ 0xb36d3a83, "xfrm_output_resume" },
	{ 0x288ebd56, "__skb_ext_del" },
	{ 0x61f9ea0a, "sk_skb_reason_drop" },
	{ 0x3f415855, "pcpu_hot" },
	{ 0x66f0e418, "xfrm_trans_queue_net" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xa3a31fe5, "kmalloc_caches" },
	{ 0xdee8588d, "__kmalloc_cache_noprof" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xc8704f67, "__inet_lookup_established" },
	{ 0xc3c41a23, "tcp_is_ulp_esp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xb61a0ac7, "espintcp_push_skb" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8e422172, "espintcp_queue_out" },
	{ 0x1c7d2651, "pskb_put" },
	{ 0xfb578fc5, "memset" },
	{ 0xd7b1066b, "skb_page_frag_refill" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x2e01d190, "crypto_aead_encrypt" },
	{ 0x5eb959f0, "xfrm_state_mtu" },
	{ 0x22c01684, "xfrm4_rcv" },
	{ 0x5d68d76, "xfrm_input" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe54af84d, "xfrm_register_type" },
	{ 0x92997ed8, "_printk" },
	{ 0x954c4cad, "xfrm4_protocol_register" },
	{ 0x3c73f46c, "xfrm_unregister_type" },
	{ 0xf0049f01, "crypto_destroy_tfm" },
	{ 0xba781e2c, "xfrm4_protocol_deregister" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8d11c659, "crypto_alloc_aead" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a02412, "xfrm_aalg_get_byname" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xee343577, "crypto_aead_setauthsize" },
	{ 0x2d47464, "module_layout" },
};

MODULE_INFO(depends, "xfrm_algo");


MODULE_INFO(srcversion, "22A025970726C362B8DD4F0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
