#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0x482d7756, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0xdd62edbb, "_gpl");
SYMBOL_CRC(gss_mech_get, 0x64f6bfdf, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0xd3401cff, "");
SYMBOL_CRC(gss_mech_put, 0x7339fd1c, "");
SYMBOL_CRC(svcauth_gss_flavor, 0xa1407b92, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0xa5774c70, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe97f4ce5, "qword_get" },
	{ 0x36ca642a, "rpcauth_init_credcache" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xbf929a44, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0xaef1a91c, "xdr_init_decode" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x3b39c4bf, "trace_event_reg" },
	{ 0x64de0e26, "rpc_call_null" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcee3101a, "__put_devmap_managed_folio_refs" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x2bf9da0e, "rpc_sleep_on_timeout" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x53b4e5c7, "rpc_create" },
	{ 0x848783b6, "bpf_trace_run1" },
	{ 0xf2796d6a, "rpc_call_sync" },
	{ 0xd1dbc7ab, "from_kuid" },
	{ 0x445ab7c0, "unregister_pernet_subsys" },
	{ 0x2b90f5e0, "rpc_queue_upcall" },
	{ 0x81481c42, "xdr_encode_word" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x4c8a4020, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x3bd198db, "svcauth_unix_set_client" },
	{ 0x89b1caa3, "xdr_buf_subsegment" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x3ed233aa, "_atomic_dec_and_lock" },
	{ 0x4452fefc, "make_kgid" },
	{ 0xa39e563c, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x980dc5bc, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x601c91a5, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x474f97be, "bpf_trace_run3" },
	{ 0x4bd8b3f9, "__put_net" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x6556314c, "rpc_mkpipe_dentry" },
	{ 0xeded4cb7, "rpc_mkpipe_data" },
	{ 0xe494a8f, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x9dd9e320, "trace_event_buffer_reserve" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x5f4a905c, "groups_free" },
	{ 0x8f459631, "cache_register_net" },
	{ 0x7567a110, "init_user_ns" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x7de3d7d6, "xdr_inline_pages" },
	{ 0x4659c213, "__folio_put" },
	{ 0x279c8add, "remove_proc_entry" },
	{ 0xdee8588d, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0xbc983b61, "rpc_init_wait_queue" },
	{ 0x60201f, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xe94b3e7b, "alloc_pages_noprof" },
	{ 0x2912266f, "rpc_unlink" },
	{ 0x26a74b39, "rpcauth_wrap_req_encode" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf1307bf8, "groups_sort" },
	{ 0xfebc3194, "from_kuid_munged" },
	{ 0xec072da5, "rpcauth_init_cred" },
	{ 0xf7df19d, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x29aa3933, "cache_destroy_net" },
	{ 0x754d539c, "strlen" },
	{ 0xce8192e6, "rpc_init_pipe_dir_object" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xb19209a8, "xdr_stream_pos" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0x3169be, "sunrpc_cache_update" },
	{ 0x49b037a9, "xdr_truncate_encode" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6fa5b5b8, "rpc_destroy_wait_queue" },
	{ 0xa3a31fe5, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x38c6901, "auth_domain_put" },
	{ 0xc91d2ea4, "rpcauth_unwrap_resp_decode" },
	{ 0x30e61ae0, "rpcauth_register" },
	{ 0x619efe3d, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc30ce56f, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x367958f2, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0x3b1da44f, "xdr_buf_from_iov" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x323406fb, "bpf_trace_run4" },
	{ 0x932985e0, "xdr_stream_decode_opaque_auth" },
	{ 0x8e988874, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x37179aa1, "xdr_write_pages" },
	{ 0xb02b7a69, "rpc_shutdown_client" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4930c41, "auth_domain_find" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6a174344, "xdr_inline_decode" },
	{ 0x77e8a489, "cache_create_net" },
	{ 0x80f167ec, "rpcauth_destroy_credcache" },
	{ 0x3f129fb, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x32d56fcd, "bpf_trace_run6" },
	{ 0x8509b65a, "rpc_net_ns" },
	{ 0x249a078d, "read_bytes_from_xdr_buf" },
	{ 0xcf4add25, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x8c003bcb, "rpc_wake_up" },
	{ 0xa04143dc, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x327fa800, "sunrpc_cache_lookup_rcu" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0x7814d608, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0x3f415855, "pcpu_hot" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0x6864b7d7, "proc_create_data" },
	{ 0xbbcec0b7, "groups_alloc" },
	{ 0xf0f62968, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x10494846, "xdr_truncate_decode" },
	{ 0x60a06cb5, "rpcauth_unregister" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xe5775f9e, "__xdr_commit_encode" },
	{ 0x8e022971, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x4a878212, "rpc_sleep_on" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8cee9451, "__put_cred" },
	{ 0x62a357c9, "register_pernet_subsys" },
	{ 0x67c9b888, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xedce9083, "cache_purge" },
	{ 0x92997ed8, "_printk" },
	{ 0xe9538733, "rpc_release_client" },
	{ 0x4c2bac3c, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xcc04c514, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x2e24596c, "svc_auth_register" },
	{ 0xed318a2e, "xdr_stream_encode_opaque_auth" },
	{ 0x52c14c44, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0xad615052, "const_pcpu_hot" },
	{ 0xbd21997c, "rpc_destroy_pipe_data" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xfe2fb62a, "__free_pages" },
	{ 0xb4e3cd79, "rpc_pipe_generic_upcall" },
	{ 0x7532bfb3, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0xc328b4a2, "cache_unregister_net" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe4ce6791, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x22170f70, "perf_trace_run_bpf_submit" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x95a9716e, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x2d47464, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "491579F52FA966E8CCC38A8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
