#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hda_codec_jack_wake_enable, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_jack_check, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_probe_bus, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_check_for_state_change, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_detect_mask, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_init_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_resume_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_stop_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_suspend_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_rirb_status_clear, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_set_codec_wakeup, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_check_rirb_status, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_device_remove, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_i915_display_power, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");
KSYMTAB_FUNC(hda_codec_i915_init, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");
KSYMTAB_FUNC(hda_codec_i915_exit, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");

SYMBOL_CRC(hda_codec_jack_wake_enable, 0xeb24685a, "_gpl");
SYMBOL_CRC(hda_codec_jack_check, 0xce9533c3, "_gpl");
SYMBOL_CRC(hda_codec_probe_bus, 0x9707d5d1, "_gpl");
SYMBOL_CRC(hda_codec_check_for_state_change, 0x7fcb9f29, "_gpl");
SYMBOL_CRC(hda_codec_detect_mask, 0xe2ce0d53, "_gpl");
SYMBOL_CRC(hda_codec_init_cmd_io, 0xd2c17ab4, "_gpl");
SYMBOL_CRC(hda_codec_resume_cmd_io, 0xecb90895, "_gpl");
SYMBOL_CRC(hda_codec_stop_cmd_io, 0x63221e25, "_gpl");
SYMBOL_CRC(hda_codec_suspend_cmd_io, 0xbdcc8605, "_gpl");
SYMBOL_CRC(hda_codec_rirb_status_clear, 0x81c62659, "_gpl");
SYMBOL_CRC(hda_codec_set_codec_wakeup, 0xb85433f0, "_gpl");
SYMBOL_CRC(hda_codec_check_rirb_status, 0x9245c36f, "_gpl");
SYMBOL_CRC(hda_codec_device_remove, 0x8e1cb817, "_gpl");
SYMBOL_CRC(hda_codec_i915_display_power, 0x889f047a, "_gpl");
SYMBOL_CRC(hda_codec_i915_init, 0xebf7d9d6, "_gpl");
SYMBOL_CRC(hda_codec_i915_exit, 0x234e92e5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc47cdb27, "devm_kmalloc" },
	{ 0x82837163, "snd_hdac_bus_send_cmd" },
	{ 0xd6ddcae0, "snd_hdac_bus_get_response" },
	{ 0x346aee1e, "snd_hdac_bus_update_rirb" },
	{ 0x439e90e9, "snd_hdac_codec_modalias" },
	{ 0xd4a89653, "__dynamic_dev_dbg" },
	{ 0x5bb2c3f3, "snd_hdac_ext_bus_device_remove" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbc1c93f6, "put_device" },
	{ 0x3f282a5d, "snd_hdac_device_register" },
	{ 0x56be1eeb, "snd_hdac_i915_init" },
	{ 0xa426381e, "_dev_err" },
	{ 0x385d7d2d, "snd_hdac_device_unregister" },
	{ 0x5aa537f3, "device_attach" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xecc540fb, "snd_hdac_bus_stop_cmd_io" },
	{ 0xab5bbc4a, "_dev_warn" },
	{ 0xe70164b5, "snd_hdac_display_power" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc647bb5a, "snd_hdac_bus_init_cmd_io" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4a722c33, "snd_hdac_acomp_exit" },
	{ 0xb1c1ea19, "__pm_runtime_resume" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x7981384f, "snd_hda_codec_device_init" },
	{ 0xe6e8beb3, "snd_hdac_set_codec_wakeup" },
	{ 0xeaa66c0f, "param_ops_int" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d47464, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-core,snd-hda-ext-core,snd-sof,snd-hda-codec");


MODULE_INFO(srcversion, "A2FF6556606D12094270F07");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
